Bug 955779 - graphical desktop does not start
Summary: graphical desktop does not start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-23 19:28 UTC by John Reiser
Modified: 2015-02-17 15:02 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:02:22 UTC


Attachments (Terms of Use)
lspci -nn (1.48 KB, text/plain)
2013-04-23 19:29 UTC, John Reiser
no flags Details
Xorg.0.log (using Option "AccelDFS" "off") (44.37 KB, text/plain)
2013-04-23 19:31 UTC, John Reiser
no flags Details
Xorg.0.log (using no xorg.conf) (45.03 KB, text/plain)
2013-04-23 19:31 UTC, John Reiser
no flags Details
xorg.conf (5.65 KB, text/plain)
2013-04-23 19:34 UTC, John Reiser
no flags Details
output from dmesg (82.87 KB, text/plain)
2013-04-23 19:34 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log (43.01 KB, text/plain)
2013-04-23 19:35 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.1 (38.96 KB, text/plain)
2013-04-23 19:36 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.2 (47.71 KB, text/plain)
2013-04-23 19:36 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.3 (39.28 KB, text/plain)
2013-04-23 19:37 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.4 (39.29 KB, text/plain)
2013-04-23 19:37 UTC, John Reiser
no flags Details
journalctl -a (23.69 MB, text/plain)
2013-04-25 14:56 UTC, John Reiser
no flags Details
journalctl --since=today (62.00 KB, text/plain)
2013-04-25 15:09 UTC, John Reiser
no flags Details
reason (from abrt directory) (70 bytes, text/plain)
2013-04-29 14:35 UTC, John Reiser
no flags Details
cmdline (from abrt directory) (80 bytes, text/plain)
2013-04-29 14:36 UTC, John Reiser
no flags Details
backtrace (after manual install of *-debuginfo packages) (3.08 KB, text/plain)
2013-04-29 14:36 UTC, John Reiser
no flags Details
var_log_messages (from abrt) directory) (22.20 KB, text/plain)
2013-04-29 14:37 UTC, John Reiser
no flags Details
journalctl -b (167.62 KB, text/plain)
2013-04-29 14:44 UTC, John Reiser
no flags Details
"strace -f" of gdm, gzip'ed (2.83 MB, application/x-gzip)
2013-05-04 14:28 UTC, John Reiser
no flags Details
journalctl -b (syslog since boot) (335.93 KB, text/plain)
2013-05-04 14:31 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log (228 bytes, text/plain)
2013-05-04 14:33 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.1 (39.06 KB, text/plain)
2013-05-04 14:34 UTC, John Reiser
no flags Details
backtrace of gnome-shell crashdump (abrt0 (20.00 KB, text/plain)
2013-05-16 16:18 UTC, John Reiser
no flags Details
journalctl -ba (540.76 KB, text/plain)
2013-05-16 16:19 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log (228 bytes, text/plain)
2013-05-16 16:23 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.1 (39.79 KB, text/plain)
2013-05-16 16:24 UTC, John Reiser
no flags Details
/var/log/gdm/:0.log.2 (69.13 KB, text/plain)
2013-05-16 16:24 UTC, John Reiser
no flags Details
/var/log/gdm/:1.log (18.47 KB, text/plain)
2013-05-16 16:25 UTC, John Reiser
no flags Details
/var/log/gdm/:2.log (18.47 KB, text/plain)
2013-05-16 16:26 UTC, John Reiser
no flags Details
/var/log/gdm/:3.log (18.47 KB, text/plain)
2013-05-16 16:26 UTC, John Reiser
no flags Details
/var/log/gdm/:4.log (18.47 KB, text/plain)
2013-05-16 16:27 UTC, John Reiser
no flags Details
/var/log/gdm/:5.log (18.47 KB, text/plain)
2013-05-16 16:27 UTC, John Reiser
no flags Details
Xorg.0.log (47.25 KB, text/plain)
2013-05-16 16:29 UTC, John Reiser
no flags Details
Xorg.0.log.old (94.71 KB, text/plain)
2013-05-16 16:29 UTC, John Reiser
no flags Details
Xorg.1.log (21.38 KB, text/plain)
2013-05-16 16:30 UTC, John Reiser
no flags Details
Xorg.2.log (21.38 KB, text/plain)
2013-05-16 16:31 UTC, John Reiser
no flags Details
Xorg.3.log (21.38 KB, text/plain)
2013-05-16 16:31 UTC, John Reiser
no flags Details
Xorg.4.log (21.38 KB, text/plain)
2013-05-16 16:32 UTC, John Reiser
no flags Details
Xorg.5.log (21.38 KB, text/plain)
2013-05-16 16:32 UTC, John Reiser
no flags Details
output of "journalctl -a" while stuck in a KVM guest after logging in from gdm (531.10 KB, text/plain)
2013-07-04 21:56 UTC, Andre Robatino
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 946911 None CLOSED [R200][RV280] Fedora-Live-Desktop is too slow for interactive use 2019-06-19 02:36:11 UTC

Internal Links: 946911

Description John Reiser 2013-04-23 19:28:52 UTC
Description of problem: After login, the GNOME graphical desktop does not start.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.i686


How reproducible: every time


Steps to Reproduce:
1. Install Fedora-19-Alpha-i686 default GNOME desktop, plus gnome-classic-session and XFCE-session.  "yum update" including updates and updates-testing as of 2013-04-23T1600.  
2. Reboot, then log in, selecting GNOME session.
3.
  
Actual results: Screen is all medium gray with nothing else visible, except the pointer tracks the mouse.


Expected results: Graphical desktop appears and is usable.


Additional info: Graphics card is Radeon 9250 [RV280].  Monitor is 1920x1080 connected via DVI.

Comment 1 John Reiser 2013-04-23 19:29:58 UTC
Created attachment 739113 [details]
lspci -nn

Comment 2 John Reiser 2013-04-23 19:31:19 UTC
Created attachment 739114 [details]
Xorg.0.log (using Option  "AccelDFS" "off")

Comment 3 John Reiser 2013-04-23 19:31:58 UTC
Created attachment 739115 [details]
Xorg.0.log (using no xorg.conf)

Comment 4 John Reiser 2013-04-23 19:34:02 UTC
Created attachment 739116 [details]
xorg.conf

Created by:  Xorg :1 -configure
then add
        Option  "AccelDFS" "off"
to the Device section for the radeon driver.

Comment 5 John Reiser 2013-04-23 19:34:41 UTC
Created attachment 739117 [details]
output from dmesg

Comment 6 John Reiser 2013-04-23 19:35:18 UTC
Created attachment 739118 [details]
/var/log/gdm/:0.log

Comment 7 John Reiser 2013-04-23 19:36:10 UTC
Created attachment 739119 [details]
/var/log/gdm/:0.log.1

Comment 8 John Reiser 2013-04-23 19:36:40 UTC
Created attachment 739120 [details]
/var/log/gdm/:0.log.2

Comment 9 John Reiser 2013-04-23 19:37:11 UTC
Created attachment 739121 [details]
/var/log/gdm/:0.log.3

Comment 10 John Reiser 2013-04-23 19:37:41 UTC
Created attachment 739122 [details]
/var/log/gdm/:0.log.4

Comment 11 John Reiser 2013-04-23 19:42:23 UTC
CORRECTION: the monitor is connected via VGA, not DVI.

Comment 12 John Reiser 2013-04-23 19:50:59 UTC
The same problem also occurs with GNOME Classic session.
The same problem also occurs with XFCE Session.

Comment 13 John Reiser 2013-04-23 22:27:34 UTC
Comparison among several ATI/AMD cards (each on a different box), booting i686 XFCE Live spin on USB2.0 flash memory device:

1002:5960  Radeon 9200 PRO (this card): boots to lightdm login screen showing head-and-shoulders icon, hostname, and drop-down list box which shows a blank selection and offers only "Other..." user.  The only user which may log in is 'root'.

1002:68da  Redwood LE HD 5550:  boots to XFCE desktop as Live User
1002:6759  Turks PRO  HD 6570:  boots to XFCE desktop as Live User
1002:9901  Trinity    HD 7660D: boots to XFCE desktop as Live User

Comment 14 John Reiser 2013-04-25 14:56:14 UTC
Created attachment 739950 [details]
journalctl -a

As requested during radeon test day chat.

Comment 15 John Reiser 2013-04-25 15:09:12 UTC
Created attachment 739954 [details]
journalctl --since=today

only this session

Comment 16 John Reiser 2013-04-25 16:39:08 UTC
<ajax> says that X is working fine.  I change Component to the next suspect, which is gdm:

F   UID   PID  PPID PRI  NI    VSZ   RSS WCHAN  STAT TTY        TIME COMMAND
4     0   621   375  20   0  29992  3556 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42   799   621  20   0  98084  9984 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart
1    42   803     1  20   0   3656   536 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart
0    42   997   799  20   0 530000 137720 poll_s Sl  ?         12:49 gnome-shell --mode=gdm
4     0  1122   375  20   0  30276  3816 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]


gnome-session-3.8.1-1.fc19.i686

Upon boot, I see a graphical login screen which displays the full names for two users.  I click the second user, choose which Session (GNOME, GNOME Classic, XFCE Session), enter password, type <Enter> or click the button.  The screen becomes all medium-gray (no graphics of any kind), the pointer tracks the mouse, no response to clicking mouse buttons nor to typing, no graphics even after several minutes.  Text console VT2 (and VT3, VT4, ...) work: login, run commands, etc.

Comment 17 John Reiser 2013-04-29 14:34:27 UTC
Change component to gdm-3.8.1.1-1.fc19.  By waiting long enough (minutes), the screen reverted to vga console mode.  I found a coredump but could not find any report from [abrt], so I have downloaded -debuginfo packages and will attach results by hand.

Comment 18 John Reiser 2013-04-29 14:35:30 UTC
Created attachment 741510 [details]
reason (from abrt directory)

Comment 19 John Reiser 2013-04-29 14:36:05 UTC
Created attachment 741511 [details]
cmdline (from abrt directory)

Comment 20 John Reiser 2013-04-29 14:36:58 UTC
Created attachment 741512 [details]
backtrace (after manual install of *-debuginfo packages)

Comment 21 John Reiser 2013-04-29 14:37:34 UTC
Created attachment 741513 [details]
var_log_messages (from abrt) directory)

Comment 22 John Reiser 2013-04-29 14:44:46 UTC
Created attachment 741517 [details]
journalctl -b

Full journal since boot.  Note these that relate to gdm:

Apr 29 01:37:03 f17a32.local dbus[312]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.4" (uid=0 pid=328 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=387 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")

Apr 29 01:37:06 f17a32.local dbus-daemon[312]: dbus[312]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.4" (uid=0 pid=328 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=387 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")

Apr 29 01:37:09 f17a32.local gdm[328]: Failed to give slave programs access to the display. Trying to proceed.
Apr 29 01:37:10 f17a32.local systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
Apr 29 01:37:11 f17a32.local systemd-logind[299]: New session c1 of user gdm.
Apr 29 01:37:11 f17a32.local systemd-logind[299]: Linked /tmp/.X11-unix/X0 to /run/user/42/X11-display.
Apr 29 01:37:11 f17a32.local gdm-launch-environment][585]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)

Apr 29 09:37:38 f17a32.local polkitd[389]: Registered Authentication Agent for unix-session:c1 (system bus name :1.42 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)

Apr 29 09:38:25 f17a32.local gdm-password][1045]: pam_unix(gdm-password:session): session opened for user jreiser by (unknown)(uid=0)
Apr 29 09:38:41 f17a32.local realmd[1040]: quitting realmd service after timeout
Apr 29 09:38:41 f17a32.local realmd[1040]: stopping service
Apr 29 09:43:24 f17a32.local systemd-logind[299]: Removed session 1.
Apr 29 09:43:40 f17a32.local gdm[328]: **
Apr 29 09:43:40 f17a32.local gdm[328]: ERROR:gdm-slave.c:1094:_get_uid_and_gid_for_user: assertion failed: (username != NULL)
Apr 29 09:43:40 f17a32.local abrtd[279]: Directory 'ccpp-2013-04-29-09:43:40-387' creation detected
Apr 29 09:43:40 f17a32.local abrt[1101]: Saved core dump of pid 387 (/usr/libexec/gdm-simple-slave) to /var/tmp/abrt/ccpp-2013-04-29-09:43:40-387 (26386432 bytes)
Apr 29 09:43:40 f17a32.local gdm[328]: GdmDisplay: display lasted 0.004823 seconds
Apr 29 09:43:40 f17a32.local dbus-daemon[312]: dbus[312]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.4" (uid=0 pid=328 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.48" (uid=0 pid=1103 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")

Apr 29 09:43:41 f17a32.local gdm[328]: Child process 1108 was already dead.
Apr 29 09:43:41 f17a32.local gdm[328]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Apr 29 09:43:41 f17a32.local gdm[328]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Apr 29 09:43:41 f17a32.local gdm[328]: GdmDisplay: display lasted 0.254489 seconds

[more omitted]

Comment 23 John Reiser 2013-05-04 14:28:27 UTC
Created attachment 743518 [details]
"strace -f" of gdm, gzip'ed

Running strace on gdm and its sub-processes: gnome-session-check-accelerated and gnome-session-check-accelerated-helper first determine that there is no 3D acceleration [correct, the card is RV280].  The helper exits with status code 1 and message on stderr "gnome-session-is-accelerated: No hardware 3D support.\n". 

But then the same gdm immediately asks again, and this time the helper exits with status code 0 [success] and no message.  So I'm confused.  Why was the answer different, and why did gdm ask again anyway?


Attached is the compressed output from "strace -f -s 64 -o /tmp/strace-gdm.out /usr/sbin/gdm.exe" (2.9MB compressed, 49MB uncompressed) where gdm was moved to gdm.exe, and a shell script replaced gdm:
  #!/bin/bash
  setenforce Permissive  # required to allow strace of gdm
  exec /usr/bin/strace -f -s 64 -o /tmp/strace-gdm.out /usr/sbin/gdm.exe

After several minutes gdm gives up, and the screen reverts from graphics (all pixels are medium gray, pointer tracks mouse) to vga console.  Note that SELinux had to be reduced to Permissive mode to enable strace of gdm.

Was run on 19-Beta-TC2 plus updates-testing: gdm-3.8.1.1-1.fc19.i686

Comment 24 John Reiser 2013-05-04 14:31:31 UTC
Created attachment 743519 [details]
journalctl -b  (syslog since boot)

syslog while strace of gdm

Comment 25 John Reiser 2013-05-04 14:33:40 UTC
Created attachment 743520 [details]
/var/log/gdm/:0.log

Comment 26 John Reiser 2013-05-04 14:34:09 UTC
Created attachment 743521 [details]
/var/log/gdm/:0.log.1

Comment 27 Adam Williamson 2013-05-13 15:18:28 UTC
"But then the same gdm immediately asks again, and this time the helper exits with status code 0 [success] and no message.  So I'm confused.  Why was the answer different, and why did gdm ask again anyway?"

This is the stuff that was added to fix the case of cards that have 3D drivers but are blacklisted.

Comment 28 Andre Robatino 2013-05-13 15:24:31 UTC
My bug 946964 is probably a dupe of this - my video is GeForce 6150SE nForce 430 and I'm forced to use the proprietary Nvidia driver since nouveau doesn't let me get better than 1024x768 resolution for 3.7 and higher kernels (bug 901816). I see it only in KVM guests, VirtualBox guests are okay.

Comment 29 Andre Robatino 2013-05-13 15:31:04 UTC
In my bug, I usually (but not always) see the gnome-shell process using up most of the CPU during the gray screen - you didn't mention if you see that, try running top in the VT.

Comment 30 Adam Jackson 2013-05-13 15:31:45 UTC
(In reply to comment #23)

> But then the same gdm immediately asks again, and this time the helper exits
> with status code 0 [success] and no message.  So I'm confused.  Why was the
> answer different, and why did gdm ask again anyway?

Well, gnome-session/main.c has this:

        gl_failed = TRUE;

        g_debug ("hardware acceleration check failed: %s",
                 error? error->message : "");
        g_clear_error (&error);
        if (g_getenv ("LIBGL_ALWAYS_SOFTWARE") == NULL) {
                g_setenv ("LIBGL_ALWAYS_SOFTWARE", "1", TRUE);
                if (!check_gl (&error)) {
                        g_warning ("software acceleration check failed: %s",
                                   error? error->message : "");
                        g_clear_error (&error);
                } else {
                        gl_failed = FALSE;
                }
        }

Which seems pretty self-explanitory.

Comment 31 John Reiser 2013-05-13 20:50:43 UTC
There is something going on with Xserver and gdm-simple-slave crashing.

Running updates-testing, I can boot and log in as normal user with password.  
  xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.i686
  xorg-x11-server-Xorg-1.14.1-1.fc19.i686
  mesa-libGL-9.2-0.1.20130508.fc19.i686
  gdm-3.8.1.1-1.fc19.i686
  gnome-desktop3-3.8.1-1.fc19.i686
  gnome-session-3.8.1-2.fc19.i686
After displaying "Last login at..." for one second, then the screen goes completely gray except for fedora branding logo in bottom center (new in TC4).


The screen stays that way for some minutes.  I ssh in from another machine (not disturbing the display), and notice that "gnome-shell --mode=gdm" accumulates a couple of minutes of CPU time.  After several minutes, the graphical screen disappears and VT1 shows VGA kernel console log.

Still in ssh, I goto /var/tmp/abrt and find two crash dumps: one from "/usr/bin/Xorg :0 ..." and one from "/usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0".  They are listed in syslog, but I can see no resolution, no indication of a filed or dup report.  Applying gdb to the coredump and debuginfo-install of suggested symbols gives these backtraces:

(gdb) thread apply all bt   # /usr/bin/Xorg

Thread 1 (Thread 0xb76e9880 (LWP 1221)):
#0  0xb77c1424 in __kernel_vsyscall ()
#1  0x480d2776 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#2  0x480d3fb3 in __GI_abort () at abort.c:90
#3  0x080b8d6a in OsAbort () at utils.c:1299
#4  0x080b4643 in AbortServer () at log.c:673
#5  0x080b4c8f in FatalError (f=f@entry=0x81f6f70 "Server is already active for display %s\n%s %s\n%s\n") at log.c:811
#6  0x080b6ea4 in LockServer () at utils.c:376
#7  0x080b63e6 in OsInit () at osinit.c:293
#8  0x080680e2 in main (argc=15, argv=0xbf818434, envp=0xbf818474) at main.c:167
(gdb) q


## from /usr/libexec/gdm-simple-slave:
warning: core file may not match specified executable file.
[New LWP 336]
[New LWP 345]
[New LWP 344]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_'.
Program terminated with signal 6, Aborted.
#0  0xb777a424 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 3 (Thread 0xb741db40 (LWP 344)):
#0  0xb777a424 in __kernel_vsyscall ()
#1  0x4818e40b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x483f0c5c in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=7, 
    __fds=__fds@entry=0xb6b077a0) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xb6b077a0, nfds=nfds@entry=7, timeout=timeout@entry=-1) at gpoll.c:132
#4  0x483e15b8 in g_main_context_poll (priority=2147483647, n_fds=7, fds=0xb6b077a0, timeout=-1, 
    context=0x8652428) at gmain.c:3995
#5  g_main_context_iterate (context=0x8652428, block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<optimized out>) at gmain.c:3696
#6  0x483e1ab3 in g_main_loop_run (loop=0x86523f0) at gmain.c:3895
#7  0x4e1d361b in gdbus_shared_thread_func (user_data=0x8652410) at gdbusprivate.c:278
#8  0x48407aeb in g_thread_proxy (data=0x864ca30) at gthread.c:798
#9  0x482719da in start_thread (arg=0xb741db40) at pthread_create.c:308
#10 0x4819aa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0xb6affb40 (LWP 345)):
#0  0xb777a424 in __kernel_vsyscall ()
#1  0x4818e40b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x483f0c5c in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, 
    __fds=__fds@entry=0xb6100468) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xb6100468, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:132
#4  0x483e15b8 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xb6100468, timeout=-1, 
    context=0x865b8f8) at gmain.c:3995
#5  g_main_context_iterate (context=context@entry=0x865b8f8, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#6  0x483e16f9 in g_main_context_iteration (context=0x865b8f8, may_block=may_block@entry=1)
    at gmain.c:3762
#7  0x483e1776 in glib_worker_main (data=0x0) at gmain.c:5427
#8  0x48407aeb in g_thread_proxy (data=0x86570f0) at gthread.c:798
#9  0x482719da in start_thread (arg=0xb6affb40) at pthread_create.c:308
#10 0x4819aa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xb774e740 (LWP 336)):
#0  0xb777a424 in __kernel_vsyscall ()
#1  0x480d2776 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#2  0x480d3fb3 in __GI_abort () at abort.c:90
#3  0x4840743b in g_assertion_message (domain=domain@entry=0x0, file=file@entry=0x807ae27 "gdm-slave.c", 
    line=line@entry=1094, 
    func=func@entry=0x807bcd0 <__PRETTY_FUNCTION__.28717> "_get_uid_and_gid_for_user", 
    message=0x8681ad8 "assertion failed: (username != NULL)") at gtestutils.c:1912
#4  0x484074d0 in g_assertion_message_expr (domain=domain@entry=0x0, 
    file=file@entry=0x807ae27 "gdm-slave.c", line=line@entry=1094, 
    func=func@entry=0x807bcd0 <__PRETTY_FUNCTION__.28717> "_get_uid_and_gid_for_user", 
    expr=expr@entry=0x8079ab4 "username != NULL") at gtestutils.c:1923
#5  0x0805a944 in _get_uid_and_gid_for_user (username=username@entry=0x0, uid=uid@entry=0xbffaee00, 
---Type <return> to continue, or q <return> to quit---
    gid=0x0) at gdm-slave.c:1094
#6  0x0805c65e in gdm_slave_get_primary_session_id_for_user_from_systemd (username=0x0, slave=0x865c800)
    at gdm-slave.c:1243
#7  gdm_slave_get_primary_session_id_for_user (slave=slave@entry=0x865c800, username=username@entry=0x0)
    at gdm-slave.c:1414
#8  0x0805cf5c in gdm_slave_switch_to_user_session (slave=0x865c800, username=username@entry=0x0, 
    fail_if_already_switched=fail_if_already_switched@entry=1) at gdm-slave.c:1659
#9  0x0805e1ac in switch_to_and_unlock_session (slave=slave@entry=0x865c800, 
    fail_if_already_switched=fail_if_already_switched@entry=1) at gdm-simple-slave.c:328
#10 0x0805f062 in start_session_timeout (slave=slave@entry=0x865c800) at gdm-simple-slave.c:410
#11 0x483ddea1 in g_idle_dispatch (source=source@entry=0x867a878, 
    callback=0x805f030 <start_session_timeout>, user_data=0x865c800) at gmain.c:5205
#12 0x483e1286 in g_main_dispatch (context=0x864d408, context@entry=0x86512d0) at gmain.c:3054
#13 g_main_context_dispatch (context=context@entry=0x864d408) at gmain.c:3630
#14 0x483e1638 in g_main_context_iterate (context=0x864d408, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#15 0x483e1ab3 in g_main_loop_run (loop=loop@entry=0x865b888) at gmain.c:3895
#16 0x0804edee in main (argc=1, argv=0xbffaf0a4) at simple-slave-main.c:189
(gdb) q



Now I switch to VT2, login as root, kill the Xorg, and run "startx".  After half a minute or so, I get the graphical background plus an instance of gnome-initial-setup with "Welcome" and asking for choice of language.

Comment 32 John Reiser 2013-05-14 15:32:20 UTC
re: high CPU usage by gnome-shell while waiting for desktop to appear.

By ssh in from another system, and running /usr/bin/top while waiting for the desktop to appear after successful password, then gnome-shell is using 80% to 90% or more of CPU for several minutes (until it times out).  So I installed oprofile ("yum install oprofile"), rebooted, ssh in again, and ran oprofile beginning at the graphical login password collection:
  opcontrol --no-vmlinux
  opcontrol --start
    # next two lines workaround are suggested by "opcontrol --start":
  opcontrol --deinit
  echo 0 >/proc/sys/kernel/nmi_watchdog
    # end suggested workaround
  opcontrol --start  # no complaint this time
    # Wait a couple minutes after login password, while desktop does not appear
    # and graphics does not time out.
  opcontrol --shutdown
  opreport
-----
Using /var/lib/oprofile/samples/ for samples directory.
CPU: P4 / Xeon, speed 1614.41 MHz (estimated)
Counted GLOBAL_POWER_EVENTS events (time during which processor is not stopped) with a unit mask of 0x01 (m
andatory) count 100000
GLOBAL_POWER_E...|
  samples|      %|
------------------
  1235048 70.0886 gnome-shell
	GLOBAL_POWER_E...|
	  samples|      %|
	------------------
	   646580 52.3526 anon (tgid:908 range:0xa2494000-0xa3194000)
	   586862 47.5173 anon (tgid:908 range:0xa12d1000-0xa1551000)
	     1500  0.1215 anon (tgid:908 range:0x9fe6f000-0xa01ef000)
	      104  0.0084 [vdso] (tgid:908 range:0xb77c5000-0xb77c6000)
	        2 1.6e-04 anon (tgid:908 range:0xac980000-0xaca00000)
   239759 13.6062 swrast_dri.so
   192911 10.9476 no-vmlinux
    47986  2.7232 libc-2.17.so
     9296  0.5275 oprofiled
-----

Then /proc/908/maps (which is the gnome-shell) shows:
-----
a1c69000-a2462000 rw-p 00000000 00:00 0 
a248c000-a2492000 r-xp 00000000 08:1b 572481     /usr/lib/gtk-3.0/3.0.0/immodules/im-ibus.so
a2492000-a2493000 r--p 00005000 08:1b 572481     /usr/lib/gtk-3.0/3.0.0/immodules/im-ibus.so
a2493000-a2494000 rw-p 00006000 08:1b 572481     /usr/lib/gtk-3.0/3.0.0/immodules/im-ibus.so
a2494000-a3194000 rwxp 00000000 00:00 0 
a3194000-a31dd000 r-xp 00000000 08:1b 547698     /usr/lib/libjpeg.so.62.1.0
-----
so the range a2494000-a3194000 is confirmed as anonymous.  Is it LLVM runtime-generated code?

Comment 33 John Reiser 2013-05-16 16:14:39 UTC
Trying a fresh install of Fedora-19-Beta-i686-RC1, I get farther.  gnome-initial-setup succeeds at setting up my user account (the dialog boxes have alpha-blended shadows), and I can continue to the desktop.  However when I press the Window key, then I see a notification in bottom center of screen "A problem has occurred in gnome-shell-3.8.2-1...."  Then if I move the pointer to the upper left corner hotspot, I see that notification again, but several seconds later the screen flashes 100% white for some seconds, then "Oh no, something has gone wrong.  Please log out and try again".  Clicking on LogOut hangs the desktop, and after a few minutes the screen reverts to VT1 console text.  Upon ssh in from another system, then I find two crash directories in /var/tmp/abrt which name gnome-shell.  I will attach some traceback and other files.  I had turned on "[debug] Enable=true" in /etc/gdm/custom.conf before starting, so syslog might be helpful.

Comment 34 John Reiser 2013-05-16 16:18:21 UTC
Created attachment 748906 [details]
backtrace of gnome-shell crashdump (abrt0

Comment 35 John Reiser 2013-05-16 16:19:06 UTC
Created attachment 748907 [details]
journalctl -ba

Comment 36 John Reiser 2013-05-16 16:23:45 UTC
Created attachment 748908 [details]
/var/log/gdm/:0.log

Comment 37 John Reiser 2013-05-16 16:24:24 UTC
Created attachment 748909 [details]
/var/log/gdm/:0.log.1

Comment 38 John Reiser 2013-05-16 16:24:54 UTC
Created attachment 748910 [details]
/var/log/gdm/:0.log.2

Comment 39 John Reiser 2013-05-16 16:25:48 UTC
Created attachment 748911 [details]
/var/log/gdm/:1.log

Comment 40 John Reiser 2013-05-16 16:26:26 UTC
Created attachment 748912 [details]
/var/log/gdm/:2.log

Comment 41 John Reiser 2013-05-16 16:26:58 UTC
Created attachment 748913 [details]
/var/log/gdm/:3.log

Comment 42 John Reiser 2013-05-16 16:27:28 UTC
Created attachment 748914 [details]
/var/log/gdm/:4.log

Comment 43 John Reiser 2013-05-16 16:27:57 UTC
Created attachment 748915 [details]
/var/log/gdm/:5.log

Comment 44 John Reiser 2013-05-16 16:29:27 UTC
Created attachment 748916 [details]
Xorg.0.log

Comment 45 John Reiser 2013-05-16 16:29:56 UTC
Created attachment 748917 [details]
Xorg.0.log.old

Comment 46 John Reiser 2013-05-16 16:30:39 UTC
Created attachment 748918 [details]
Xorg.1.log

Comment 47 John Reiser 2013-05-16 16:31:10 UTC
Created attachment 748919 [details]
Xorg.2.log

Comment 48 John Reiser 2013-05-16 16:31:38 UTC
Created attachment 748920 [details]
Xorg.3.log

Comment 49 John Reiser 2013-05-16 16:32:12 UTC
Created attachment 748921 [details]
Xorg.4.log

Comment 50 John Reiser 2013-05-16 16:32:41 UTC
Created attachment 748922 [details]
Xorg.5.log

Comment 51 John Reiser 2013-05-16 16:36:37 UTC
Today's session was brought to you by:
gnome-desktop3-3.8.2-2.fc19.i686
gnome-initial-setup-0.10-1.fc19.i686
gnome-shell-3.8.2-2.fc19.i686
xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.i686
xorg-x11-server-Xorg-1.14.1-1.fc19.i686
mesa-dri-drivers-9.2-0.1.20130508.fc19.i686
mesa-libGL-9.2-0.1.20130508.fc19.i686
kernel-PAE-3.9.1-301.fc19.i686

Comment 52 John Reiser 2013-05-16 17:00:23 UTC
While entering bugzilla reports (takes some time) two more crashes appeared: /usr/bin/Xorg and /usr/libexec/gdm-simple-slave.  This is a related pair caused by attempt at duplicate open of screen.  Here is the gdm-simple-slave traceback:

(gdb) thread apply all bt

Thread 3 (Thread 0xb63ffb40 (LWP 2587)):
#0  0xb77db424 in __kernel_vsyscall ()
#1  0xb729840b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb73efbcc in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, __fds=__fds@entry=0xb5a00468)
    at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xb5a00468, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:132
#4  0xb73e0528 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xb5a00468, timeout=-1, 
    context=0x8985508) at gmain.c:3995
#5  g_main_context_iterate (context=context@entry=0x8985508, block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<optimized out>) at gmain.c:3696
#6  0xb73e0669 in g_main_context_iteration (context=0x8985508, may_block=may_block@entry=1) at gmain.c:3762
#7  0xb73e06e6 in glib_worker_main (data=0x0) at gmain.c:5427
#8  0xb7406a5b in g_thread_proxy (data=0x89822c0) at gthread.c:798
#9  0xb73729da in start_thread (arg=0xb63ffb40) at pthread_create.c:308
#10 0xb72a4a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0xb6d40b40 (LWP 2586)):
#0  0xb77db424 in __kernel_vsyscall ()
#1  0xb729840b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb73efbcc in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=7, __fds=__fds@entry=0xb64077b8)
    at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xb64077b8, nfds=nfds@entry=7, timeout=timeout@entry=-1) at gpoll.c:132
#4  0xb73e0528 in g_main_context_poll (priority=2147483647, n_fds=7, fds=0xb64077b8, timeout=-1, 
    context=0x897d428) at gmain.c:3995
#5  g_main_context_iterate (context=0x897d428, block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<optimized out>) at gmain.c:3696
#6  0xb73e0a23 in g_main_loop_run (loop=0x897d3f0) at gmain.c:3895
#7  0xb75ec63b in gdbus_shared_thread_func (user_data=0x897d410) at gdbusprivate.c:278
#8  0xb7406a5b in g_thread_proxy (data=0x8977a30) at gthread.c:798
#9  0xb73729da in start_thread (arg=0xb6d40b40) at pthread_create.c:308
#10 0xb72a4a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xb7071740 (LWP 2585)):
#0  0xb77db424 in __kernel_vsyscall ()
#1  0xb71dc776 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#2  0xb71ddfb3 in __GI_abort () at abort.c:90
#3  0xb74063ab in g_assertion_message (domain=domain@entry=0x0, file=file@entry=0x807ae27 "gdm-slave.c", 
    line=line@entry=1094, func=func@entry=0x807bcd0 <__PRETTY_FUNCTION__.28717> "_get_uid_and_gid_for_user", 
    message=0x89ad1b8 "assertion failed: (username != NULL)") at gtestutils.c:1912
#4  0xb7406440 in g_assertion_message_expr (domain=domain@entry=0x0, file=file@entry=0x807ae27 "gdm-slave.c", 
    line=line@entry=1094, func=func@entry=0x807bcd0 <__PRETTY_FUNCTION__.28717> "_get_uid_and_gid_for_user", 
    expr=expr@entry=0x8079ab4 "username != NULL") at gtestutils.c:1923
#5  0x0805a944 in _get_uid_and_gid_for_user (username=username@entry=0x0, uid=uid@entry=0xbfc06ee0, gid=0x0)
    at gdm-slave.c:1094
#6  0x0805c65e in gdm_slave_get_primary_session_id_for_user_from_systemd (username=0x0, slave=0x8986800)
    at gdm-slave.c:1243
#7  gdm_slave_get_primary_session_id_for_user (slave=slave@entry=0x8986800, username=username@entry=0x0)
    at gdm-slave.c:1414
#8  0x0805cf5c in gdm_slave_switch_to_user_session (slave=0x8986800, username=username@entry=0x0, 
    fail_if_already_switched=fail_if_already_switched@entry=1) at gdm-slave.c:1659
#9  0x0805e1ac in switch_to_and_unlock_session (slave=slave@entry=0x8986800, 
    fail_if_already_switched=fail_if_already_switched@entry=1) at gdm-simple-slave.c:328
#10 0x0805f062 in start_session_timeout (slave=slave@entry=0x8986800) at gdm-simple-slave.c:410
#11 0xb73dce11 in g_idle_dispatch (source=source@entry=0x89a6798, callback=0x805f030 <start_session_timeout>, 
    user_data=0x8986800) at gmain.c:5205
#12 0xb73e01f6 in g_main_dispatch (context=0x8978408, context@entry=0x897c2d0) at gmain.c:3054
#13 g_main_context_dispatch (context=context@entry=0x8978408) at gmain.c:3630
#14 0xb73e05a8 in g_main_context_iterate (context=0x8978408, block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<optimized out>) at gmain.c:3701
#15 0xb73e0a23 in g_main_loop_run (loop=loop@entry=0x8985498) at gmain.c:3895
#16 0x0804edee in main (argc=1, argv=0xbfc07184) at simple-slave-main.c:189

Comment 53 John Reiser 2013-05-16 17:18:18 UTC
Rebooting and attempting to login, I'm now back to the original problem: desktop does not appear.  Login goes OK, I see "Last login:..." message for 1 second, then screen goes all gray except fedora branding logo at bottom center.  gnome-shell --mode=gdm eats as much CPU as it can (85% or more) for about 5 minutes, but display does not change.  Then screensaver/power_management kicks in, and screen fades to black by several "wipes" with darker and darker shades of gray.  If I press and release the <Shift> key then I see the "closed" desktop (background wallpaper with the time HH:MM in large letters) for a second or two, then screen becomes VT1 VGA text kernel console.  Six :N.log files appear in /var/log/gdm, the most recent one says "Fatal server error: Server is already active for display 0".  Six Xorg.[0-5].log files appear in /var/log.

Comment 54 John Reiser 2013-05-19 20:32:00 UTC
Moving on, I've done a fresh install of RC2.  I also installed all the debuginfo for gnome-shell, its static dependencies, and its dynamic dependencies.  gnome-initial-setup works (its dialog boxes have alpha-blended shadows, I created successfully a new user), but after that I see the same problems as before: crashes in gnome-shell and gdm-simple-slave.  Rebooting and attempting to log in, gnome-shell --mode=gdm still gets stuck: no visible progress after "Last login: ..." despite waiting for minutes.

Using a session via ssh from another machine, I attached gdb to the running gnome-shell, and got this traceback, which suggests that gnome-shell and the ati driver are not communicating successfully.  I can poke around, but I'm lost in details.  Please would someone provide hints on how to debug effectively and more efficiently?

#0  0x9ea943ef in ?? ()
#1  0xb2a2210d in lp_rast_shade_tile (task=0x9c4116c, arg=...) at lp_rast.c:327
#2  0xb2a21376 in do_rasterize_bin (bin=<optimized out>, task=0x9c4116c) at lp_rast.c:564
#3  rasterize_bin (bin=<optimized out>, task=0x9c4116c) at lp_rast.c:583
#4  rasterize_scene (task=task@entry=0x9c4116c, scene=scene@entry=0x9dcdc38) at lp_rast.c:642
#5  0xb2a225ed in lp_rast_queue_scene (rast=0x9c41160, scene=scene@entry=0x9dcdc38) at lp_rast.c:671
#6  0xb2a2b9e5 in lp_setup_rasterize_scene (setup=0x9dbb1e8) at lp_setup.c:166
#7  set_scene_state (setup=setup@entry=0x9dbb1e8, new_state=new_state@entry=SETUP_FLUSHED,
    reason=0xb2bc89f4 <__func__.13164> "do_flush") at lp_setup.c:322
#8  0xb2a2c0f3 in lp_setup_flush (setup=0x9dbb1e8, fence=fence@entry=0xbfb0031c,
    reason=reason@entry=0xb2bc89f4 <__func__.13164> "do_flush") at lp_setup.c:351
#9  0xb2a20471 in llvmpipe_flush (pipe=pipe@entry=0x9d22b00, fence=fence@entry=0xbfb0031c,
    reason=reason@entry=0xb2bc89f4 <__func__.13164> "do_flush") at lp_flush.c:55
#10 0xb2a1fb3e in do_flush (pipe=0x9d22b00, fence=0xbfb0031c, flags=0) at lp_context.c:108
#11 0xb281edbd in st_flush (st=st@entry=0x9eeda48, fence=fence@entry=0xbfb0031c, flags=flags@entry=0)
    at ../../src/mesa/state_tracker/st_cb_flush.c:87
#12 0xb281ee7a in st_finish (st=st@entry=0x9eeda48) at ../../src/mesa/state_tracker/st_cb_flush.c:98
#13 0xb281eee3 in st_glFinish (ctx=0x9eb1548) at ../../src/mesa/state_tracker/st_cb_flush.c:136
#14 0xb2729a96 in _mesa_finish (ctx=0x9eb1548) at ../../src/mesa/main/context.c:1678
#15 0xb272a6a0 in _mesa_Finish () at ../../src/mesa/main/context.c:1709
#16 0xb361cbdf in shared_dispatch_stub_216 () at ../../../src/mapi/shared-glapi/glapi_mapi_tmp.h:14386
#17 0xb67ac7f1 in _cogl_winsys_wait_for_gpu (onscreen=0xa11b6f8) at winsys/cogl-winsys-glx.c:1457
#18 _cogl_winsys_onscreen_swap_buffers (onscreen=0xa11b6f8) at winsys/cogl-winsys-glx.c:1835
---Type <return> to continue, or q <return> to quit---
#19 0xb67a1af2 in cogl_onscreen_swap_buffers (onscreen=0xa11b6f8) at ./cogl-onscreen.c:187
#20 0xb684b1d1 in clutter_stage_cogl_redraw (stage_window=0x9ff9098) at cogl/clutter-stage-cogl.c:643
#21 0xb68be170 in _clutter_stage_window_redraw (window=0x9ff9098) at ./clutter-stage-window.c:271
#22 0xb68ba3bb in clutter_stage_do_redraw (stage=0xa126f00) at ./clutter-stage.c:1173
#23 _clutter_stage_do_update (stage=0xa126f00) at ./clutter-stage.c:1231
#24 0xb689d8ca in master_clock_update_stages (master_clock=0xa49f2f0, stages=0xaa34220) at ./clutter-master-clock.c:457
#25 clutter_clock_dispatch (source=source@entry=0xa4dba68, callback=0x0, user_data=0x0) at ./clutter-master-clock.c:589
#26 0xb59a11f6 in g_main_dispatch (context=0x9c0a2b8, context@entry=0x9c6ff58) at gmain.c:3054
#27 g_main_context_dispatch (context=context@entry=0x9c0a2b8) at gmain.c:3630
#28 0xb59a15a8 in g_main_context_iterate (context=0x9c0a2b8, block=block@entry=1, dispatch=dispatch@entry=1,
    self=<optimized out>) at gmain.c:3701
#29 0xb59a1a23 in g_main_loop_run (loop=0x9c0aa50) at gmain.c:3895
#30 0xb75980cc in meta_run () at core/main.c:556
#31 0x080499e5 in main (argc=1, argv=0xbfb00814) at main.c:430

Comment 55 John Reiser 2013-05-20 15:29:19 UTC
Booting XFCE Desktop (Beta RC2) and running glxinfo shows:
-----
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_multisample, GLX_EXT_create_context_es2_profile, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_swap_control
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_framebuffer_sRGB, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, 
    GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, 
    GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R200 (RV280 5960)  TCL DRI2
OpenGL version string: 1.3 Mesa 9.2.0
OpenGL extensions:
    GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, GL_ARB_copy_buffer, 
    GL_ARB_debug_output, GL_ARB_draw_buffers, GL_ARB_half_float_pixel, 
    GL_ARB_invalidate_subdata, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_occlusion_query, GL_ARB_point_parameters, GL_ARB_point_sprite, 
    GL_ARB_robustness, GL_ARB_sampler_objects, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_compression, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_mirrored_repeat, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_array_object, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_ATI_blend_equation_separate, GL_ATI_draw_buffers, 
    GL_ATI_fragment_shader, GL_ATI_texture_env_combine3, 
    GL_ATI_texture_mirror_once, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_compiled_vertex_array, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_framebuffer_object, GL_EXT_gpu_program_parameters, 
    GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil, 
    GL_EXT_packed_pixels, GL_EXT_point_parameters, GL_EXT_polygon_offset, 
    GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_cube_map, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_mirror_clamp, GL_EXT_texture_object, 
    GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_window_pos, GL_MESA_ycbcr_texture, 
    GL_NV_blend_square, GL_NV_light_max_exponent, GL_NV_packed_depth_stencil, 
    GL_NV_texgen_reflection, GL_NV_texture_rectangle, GL_OES_EGL_image, 
    GL_OES_read_format, GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays

64 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x021 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x022 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0ce 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0cf 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0d0 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0d1 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0d2 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0d3 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0d4 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0d5 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0d6 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0d7 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0d8 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0d9 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0da 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0db 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0dc 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0dd 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0de 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0df 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0e0 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0e1 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0e2 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0e3 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0e4 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0e5 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0e6 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0e7 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0e8 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0e9 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0ea 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0eb 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0ec 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0ed 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0ee 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0ef 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0f0 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0f1 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0f2 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0f3 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0f4 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0f5 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0f6 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0f7 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0f8 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0f9 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0fa 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0fb 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0fc 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0fd 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0fe 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0ff 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x100 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x101 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x102 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x103 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x104 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x105 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x106 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x107 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x108 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x109 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x10a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x06d 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None

96 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x06e  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x06f  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x070  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x071  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x072  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x073  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x074  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x075  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x076  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x077  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x078  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x079  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x07a  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x07b  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x07c  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x07d  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x07e 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07f 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x080 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x081 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x082 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x083 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x084 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x085 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x086 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x087 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x088 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x089 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x08a 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x08b 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x08c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x08d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x08e 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x08f 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x090 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x091 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x092 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x093 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x094 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x095 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x096 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x097 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x098 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x099 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x09a 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x09b 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x09c 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x09d 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x09e  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x09f  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0a0  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0a1  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0a2  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0a3  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0a4  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0a5  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0a6  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0a7  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0a8  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0a9  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0aa  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0ab  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0ac  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0ad  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0ae 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0af 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0b0 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0b1 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0b2 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0b3 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0b4 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0b5 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0b6 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0b7 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0b8 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0b9 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ba 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0bb 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0bc 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0bd 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0be 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0bf 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0c0 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0c1 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0c2 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0c3 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0c4 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0c5 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0c6 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0c7 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0c8 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0c9 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0ca 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0cb 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0cc 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0cd 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
-----

Comment 56 Adam Williamson 2013-05-20 23:30:16 UTC
I don't really have all the answers here, but I know _at least_ we should not be using the native 3D acceleration for your card. All Radeons prior to R300 are intended to be blacklisted, and so we should be using llvmpipe instead. If we are in fact using the native acceleration, that is probably the bug here. If we're using llvmpipe and it's failing, then we need to know why. I can't tell from the above which one is being used, but someone probably can.

Comment 57 John Reiser 2013-05-21 18:24:37 UTC
It looks to me like llvmpipe is running.  Attaching gdb to the gnome-shell process shows:

Thread 1 (Thread 0xb76638c0 (LWP 951)):
#0  0xa266c72e in ?? ()
#1  0xb6d51c7d in lp_rast_shade_tile (task=0x8a7616c, arg=...) at lp_rast.c:327
#2  0xb6d50ee7 in do_rasterize_bin (bin=<optimized out>, task=0x8a7616c) at lp_rast.c:564
#3  rasterize_bin (bin=<optimized out>, task=0x8a7616c) at lp_rast.c:583
#4  rasterize_scene (task=task@entry=0x8a7616c, scene=scene@entry=0x8c5a560) at lp_rast.c:642
#5  0xb6d5215d in lp_rast_queue_scene (rast=0x8a76160, scene=scene@entry=0x8c5a560) at lp_rast.c:671
#6  0xb6d5b555 in lp_setup_rasterize_scene (setup=0x8bf01e8) at lp_setup.c:166
#7  set_scene_state (setup=setup@entry=0x8bf01e8, new_state=new_state@entry=SETUP_FLUSHED, 
    reason=0xb6efa734 <__func__.13165> "do_flush") at lp_setup.c:322
#8  0xb6d5bc63 in lp_setup_flush (setup=0x8bf01e8, fence=fence@entry=0xbfe23e7c, 
    reason=reason@entry=0xb6efa734 <__func__.13165> "do_flush") at lp_setup.c:351
#9  0xb6d4ffe1 in llvmpipe_flush (pipe=pipe@entry=0x8b57b00, fence=fence@entry=0xbfe23e7c, 
    reason=reason@entry=0xb6efa734 <__func__.13165> "do_flush") at lp_flush.c:55
#10 0xb6d4f6ae in do_flush (pipe=0x8b57b00, fence=0xbfe23e7c, flags=0) at lp_context.c:108
---Type <return> to continue, or q <return> to quit---
#11 0xb6b4b4bd in st_flush (st=st@entry=0x8d2a298, fence=fence@entry=0xbfe23e7c, flags=flags@entry=0)
    at ../../src/mesa/state_tracker/st_cb_flush.c:87
#12 0xb6b4b57a in st_finish (st=st@entry=0x8d2a298) at ../../src/mesa/state_tracker/st_cb_flush.c:98
#13 0xb6b4b5e3 in st_glFinish (ctx=0x8ce6658) at ../../src/mesa/state_tracker/st_cb_flush.c:136
#14 0xb6a560f6 in _mesa_finish (ctx=0x8ce6658) at ../../src/mesa/main/context.c:1673
#15 0xb6a56d00 in _mesa_Finish () at ../../src/mesa/main/context.c:1704
#16 0x4132cbdf in shared_dispatch_stub_216 () at ../../../src/mapi/shared-glapi/glapi_mapi_tmp.h:14386
#17 0x464647f1 in _cogl_winsys_wait_for_gpu (onscreen=0x8efa680) at winsys/cogl-winsys-glx.c:1457
#18 _cogl_winsys_onscreen_swap_buffers (onscreen=0x8efa680) at winsys/cogl-winsys-glx.c:1835


Running code using sse2:
(gdb) x/12i $pc-0x18
   0xa266c716:	mov    $0xa024,%esp
   0xa266c71b:	add    %ah,0xf(%esi)
   0xa266c71e:	jo     0xa266c70c
   0xa266c720:	add    %esp,0xf(%esi)
   0xa266c723:	jle    0xa266c70e
   0xa266c725:	movd   (%ecx,%eax,1),%xmm5
   0xa266c72a:	punpckldq %xmm7,%xmm5
=> 0xa266c72e:	movd   %xmm4,%ecx
   0xa266c732:	movd   (%ecx,%eax,1),%xmm7
   0xa266c737:	movhlps %xmm4,%xmm4
   0xa266c73a:	movd   %xmm4,%ecx
   0xa266c73e:	movd   (%ecx,%eax,1),%xmm4
(gdb) 
   0xa266c743:	punpckldq %xmm4,%xmm7
   0xa266c747:	punpckldq %xmm5,%xmm7
   0xa266c74b:	movdqa %xmm7,0xd0(%esp)
   0xa266c754:	movdqa %xmm7,%xmm4
   0xa266c758:	pxor   %xmm5,%xmm5
   0xa266c75c:	punpckhbw %xmm5,%xmm4
   0xa266c760:	pandn  %xmm3,%xmm6
   0xa266c764:	pand   %xmm1,%xmm6
   0xa266c768:	paddd  %xmm0,%xmm6
   0xa266c76c:	movdqa %xmm6,%xmm3
   0xa266c770:	paddd  0x190(%esp),%xmm3
   0xa266c779:	pshufd $0x3,%xmm3,%xmm5

Excerpt from /proc/951/amsp:
b53d2000-b694d000 r-xp 00000000 08:1c 144059     /usr/lib/llvm/libLLVM-3.3svn.so
b694d000-b69e2000 r--p 0157b000 08:1c 144059     /usr/lib/llvm/libLLVM-3.3svn.so
b69e2000-b69e3000 rw-p 01610000 08:1c 144059     /usr/lib/llvm/libLLVM-3.3svn.so

Comment 58 Andre Robatino 2013-07-01 14:11:58 UTC
I am seeing the same problem, though on different hardware. I did a clean F19 install on a box with blacklisted Intel 82865 video. GNOME works fine with software rendering, but I can't log into it (or any other desktop) using gdm. I used system-switch-displaymanager to switch from gdm to kdm, and that allows me to log into any of my 4 DEs (GNOME/KDE/MATE/Cinnamon) and they all work fine. What happens if you use a different DM?

Comment 59 Andre Robatino 2013-07-01 15:45:16 UTC
I confirmed that using a different DM also works around bug 946964, which has the exact same symptoms as this bug.

Comment 60 John Reiser 2013-07-01 20:01:27 UTC
Yes,
  # yum install system-switch-displaymanager kdm
  #             system-switch-displaymanager kdm
  # reboot
allows successful graphical login.  (53MB download)

Running Gnome3 desktop, there is a 2-second delay before any change-of-pixels on the screen: type+echo into gnome-terminal, enlarging terminal window by dragging an edge, etc.  So typing "date\r" at 10 char/sec does not echo the command until both the command and its output appear.  By contrast, the MATE desktop works very well: no delay for echo or drag.

Comment 61 Andre Robatino 2013-07-02 00:44:16 UTC
(In reply to John Reiser from comment #60)
> Yes,
>   # yum install system-switch-displaymanager kdm
>   #             system-switch-displaymanager kdm
>   # reboot
> allows successful graphical login.  (53MB download)

For me, lightdm (a much smaller download) works, and I'm guessing any DM other than gdm will also work.

Comment 62 antonio montagnani 2013-07-03 16:10:10 UTC
same as comment #61 I am using an old Fx5200 card that was blacklisted in previous Fedora's

Comment 63 Adam Williamson 2013-07-03 19:34:36 UTC
If *someone* on the dev side can figure out what's going on here, it'd be much appreciated...

Basically, it seems like several people with blacklisted adapters or using VMs find that they can't log in from GDM to any desktop, but other DMs work fine. But I can't reproduce: I have no problem logging into GNOME from GDM in a perfectly normal virt-manager KVM (qxl/SPICE).

Comment 64 Andrew Hatfield 2013-07-04 01:00:25 UTC
I have the same issue.  Upgrade of current stable F18 x86_64 to F19 via fedup.

Card: NVIDIA Corporation GK107 [GeForce GT 640] (rev a1)
Driver: nouveau or nvidia

packages: 
xorg-x11-drv-nvidia-libs-319.23-5.fc19.x86_64
kmod-nvidia-319.23-1.fc19.5.x86_64
nvidia-settings-desktop-1.0-32.fc19.x86_64
xorg-x11-drv-nvidia-319.23-5.fc19.x86_64
nvidia-settings-1.0-32.fc19.x86_64
kmod-nvidia-3.9.8-300.fc19.x86_64-319.23-1.fc19.5.x86_64
nvidia-xconfig-1.0-28.fc19.x86_64

Monitors: 2 x DVI

GDM loads, but only displays a blank black screen

LightDM and KDM work fine (ugly, but fine)

Comment 65 Andrew Hatfield 2013-07-04 02:37:12 UTC
A follow up - running startx works fine

Comment 66 Adam Williamson 2013-07-04 04:49:07 UTC
"GDM loads, but only displays a blank black screen"

Then that's not the same issue. In this issue, GDM runs, but does not successfully log you into a desktop.

Comment 67 Al Dunsmuir 2013-07-04 20:10:54 UTC
I was successfully running Gnome 3 shell on a fully upgraded F17 32-bit on Dell D810 laptop (with Radeon X600 video).  F17 GA was fine, but subsequent updates broke the R300 driver. The F18 R300 driver would not work correctly - forced fallback mode.  See https://bugzilla.redhat.com/show_bug.cgi?id=869054 for details. 

Eventually F17 service came along that resolved all the issues, and restored my hopes for F19.  I tried F19 Gnome _Live_ Alpha and Beta - both worked fine, so I updated the bz and patiently waited for GA (actually F19 RC4).

After two great installs of F19 RC4 on 64-bit, I waited until GA, and used "fedup --network 19 -v" to upgrade.  Initial boot resulted in the grey screen mentioned in this bz.

I used a recovery disk to copy the final versions of my home directory files to USB (mostly interested in my Firefox bookmarks), then did a careful reinstall from F19 DVD (machine is dual boot XP Pro).   Install worked great, but Gnome initial user Id creation is insanely slow, or hangs randomly.  GDM logons all exhibit the behaviour mentioned in this bz.  I've repeated 3 times... no joy.

Note F17 and F19 Libe are running Radeon R300 for 3D, _not_ software rendering.

It appears that something in GDM (and the Gnome utility used to create initial user ID) are somehow forcing software rendering but in such a way that they render the system useless.

Today on the Phoronix forum re F19, I saw a post by another user who experienced the same thing - F19 Live works great but install from DVD hangs as previously described.   They were also very disappointed.

Something in the Gnome installation appears to be broken.  I can act as keyboard monkey and extract logs if anyone is interested (and gives clear instructions).

Comment 68 antonio montagnani 2013-07-04 20:38:17 UTC
basically I have two subjetcs:

1) I cant' login with GM
2) if I login in Gnome (by LDM) I get an autorization failure anytime a password is requested in a graphical window or in a terminal (in text mode or in any other DE  it works fine)

But Gnome  is not suffering of crazy graphics - artifacts- as in previous Fedoras

Comment 69 Adam Williamson 2013-07-04 21:38:49 UTC
Well, for a start, we could do with journalctl -a output while the system is in the 'stuck' state.

Comment 70 Andre Robatino 2013-07-04 21:56:15 UTC
Created attachment 769018 [details]
output of "journalctl -a" while stuck in a KVM guest after logging in from gdm

I can also provide output for blacklisted Intel 82865 video and a VirtualBox guest with 3D passthrough disabled if necessary.

Comment 71 Adam Williamson 2013-07-04 21:59:08 UTC
That's kind of odd. It looks like basically almost nothing at all happens when you actually log in:

Jul 04 17:49:42 localhost.localdomain systemd-logind[387]: New session 3 of user andre.
Jul 04 17:49:42 localhost.localdomain gdm-password][2182]: pam_unix(gdm-password:session): session opened for user andre by (unknown)(uid=0)
Jul 04 17:49:55 localhost.localdomain fprintd[2181]: ** Message: No devices in use, exit

that's *it*. I was kind of expecting more. Hum.

Comment 72 Al Dunsmuir 2013-07-05 00:17:48 UTC
Rats.

I've verified that both the i686 desktop Live GA and Beta come up using the llvmpipe driver.  I suspect my "OMG it works in F19 after the F18 mess!" reaction caused me to overlook the slowness (compared to F17 which was using R300g without any issues in Gnome 3 shell).

I'm going to append a note to my F17 Bz clarifying the problem.

I guess I now have to choose between going back to F17 + latest updates, or exporing another F19 desktop.  XFCE Live works, but seems a tad minimalistic.  I'm going to download the Mate live, and se what happens.

I would really be interested in helping get R300g running with Gnome 3... but suspect that's tangential to this bz.

Comment 73 Andrew Hatfield 2013-07-05 02:26:31 UTC
Re Comment 66 - As per John Reiser's Description, this is exactly the same behaviour I'm seeing.  The exception is that I have an NVIDIA instead of ATI.

Symptom occurs for both nvidia and nouveau drivers.

There is an onboard Intel video device that is not used.


Symptom: When GDM is set as DM, boot loads and starts DM, both displays are gray with tracking mouse pointer.

Nothing else loads

Comment 74 Adam Williamson 2013-07-05 22:02:03 UTC
Please, people, keep *separate* issues *separate*.

This bug is for failure to transition from GDM to a desktop.

It is *not* for failure of GDM to start.

It is *not* for slow rendering of GNOME.

Please discuss those issues separately.

Comment 75 Antti Huhtala 2013-07-12 11:18:26 UTC
In my case (x86_64), after successful login in GDM the desktop wallpaper appears but only fills ca. 35 % of the screen area in the middle of it. The pointer tracks the mouse but pointing and clicking either "Activities" or my name has no effect. The graphics card is GeForce 6200 (NV 44A).
The curious thing is that after some logins the desktop wallpaper fills the whole screen and then everything works as expected. I have not been able to conclude why sometimes the transition to desktop is successful and at other times it is not.
Mine is a clean install from Fedora-19-Beta-x86_64-DVD. I have installed every update on offer to date and, if anything, the failure to transit from GDM to desktop has been more frequent lately. Therefore, I switched to KDM as instructed in fedoraproject.org/wiki/Common_F19_bugs and now desktop starts properly every time.

Comment 76 shrek-m 2013-07-13 19:52:20 UTC
> GDM loads, but only displays a blank black screen

i see the black screen for a few minutes until gdm is 100% loaded
the rest is the same bug as the original

--------

upgrade fedora 18 -> fedora 19 (with yum)

mac mini (2006)
onboard intel
no xorg.conf

1) gdm is ok (after working for a few minutes behind the black screen)

2) login seems to be ok but there is only the gray background with the fedora logo and the mouse-pointer but no desktop manager.
neither gnome, fluxbox nor xfce are displayed / working.

3) in runlevel 3 and `startx` all is ok. gnome, fluxbox and xfce are working.
the gray background is now displayed only for 1 sec and than it is ok.



there is something wrong with the transmission between gdm and the desktop manager
gdm -> gray background -> desktop manager


----------------

# uname -a
Linux macmini.localdomain 3.9.9-301.fc19.i686.PAE #1 SMP Thu Jul 4 15:25:09 UTC 2013 i686 i686 i386 GNU/Linux

# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

# grep driver /var/log/Xorg.0.log
[    51.537] 	X.Org XInput driver : 19.1
[    51.547] (==) Matched intel as autoconfigured driver 0
[    51.547] (==) Matched intel as autoconfigured driver 1
[    51.547] (==) Matched vesa as autoconfigured driver 2
[    51.547] (==) Matched modesetting as autoconfigured driver 3
[    51.547] (==) Matched fbdev as autoconfigured driver 4
[    51.547] (==) Assigned the driver to the xf86ConfigLayout
[    51.547] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    51.548] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    51.548] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    51.549] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    51.551] (II) VESA: driver for VESA chipsets: vesa
[    51.551] (II) FBDEV: driver for framebuffer: fbdev
[    67.480] 	ABI class: X.Org XInput driver, version 19.1
[    67.480] (II) Using input driver 'evdev' for 'Power Button'
[    67.523] (II) Using input driver 'evdev' for 'Video Bus'
[    67.524] (II) Using input driver 'evdev' for 'Power Button'
[    67.525] (II) No input driver specified, ignoring this device.
[    67.525] (II) No input driver specified, ignoring this device.
[    67.526] (II) No input driver specified, ignoring this device.
[    67.526] (II) Using input driver 'evdev' for 'HID 05ac:1000'
[    67.527] (II) Using input driver 'evdev' for 'HID 05ac:1000'
[    67.529] (II) No input driver specified, ignoring this device.
[    67.529] (II) Using input driver 'evdev' for 'CHESEN USB Keyboard'
[    67.530] (II) Using input driver 'evdev' for 'CHESEN USB Keyboard'
[    67.532] (II) Using input driver 'evdev' for 'Logitech Optical USB Mouse'
[    67.533] (II) No input driver specified, ignoring this device.

Comment 77 shrek-m 2013-07-14 09:05:58 UTC
# date ; cat /etc/redhat-release ; yum update
So 14. Jul 11:03:32 CEST 2013
Fedora release 19 (Schrödinger’s Cat)
No packages marked for update


---- LIGHTDM
# yum install lightdm

# system-switch-displaymanager LIGHTDM
ln -s '/usr/lib/systemd/system/lightdm.service' '/etc/systemd/system/display-manager.service'
Your default graphical display manager has successfully been switched.


with LIGHTDM as DM
- no black screen for several minutes, only a few seconds
- fluxbox is ok now
- xfce is ok now
- gnome "Oh no! Something has gone wrong."-message

---- XDM
# system-switch-displaymanager XDM
ln -s '/usr/lib/systemd/system/xdm.service' '/etc/systemd/system/display-manager.service'
Your default graphical display manager has successfully been switched.


with XDM as DM
- no black screen for several minutes, only a few seconds
- gnome is ok now

---- GDM
# system-switch-displaymanager GDM
ln -s '/usr/lib/systemd/system/gdm.service' '/etc/systemd/system/display-manager.service'
Your default graphical display manager has successfully been switched.

- black screen for several minutes
- fluxbox - gray background
- xfce - gray background
- gnome - gray background

Comment 78 Sentiono Leowinata 2013-07-16 09:17:23 UTC
Acer Travelmate 8481TG (Nvidia GT520M and Intel).

Fresh and clean install of FC19 went ok. All Gnome options were installed.
3.9.5-301.fc19.x86_64

Updates all the installation and reboot 3.9.9-301.fc19.x86_64, will stuck at those loading screen.
Booting from rescue CD and checking /var/log/messages + gdm + xorg, found that GDM failed to load.

Try to reboot to different kernels was also stuck.
The only options is to reinstall.

Had done this twice.

Comment 79 Taunus 2013-07-16 15:06:07 UTC
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02) (prog-if 00 [VGA controller])
	Kernel driver in use: i915

I have older laptop with Intel driver. I tried to login but got gray screen with Fedora text on the bottom. Gnome 3 does not load. It is stuck there for few minutes and then quits.

My video hardware is blacklisted in gnome-session-3.8.2.1

I removed the blacklist in source and recompiled gnome-session and can now login.

Gnome 3 does not work with this Intel accelerated hardware but crashes pretty quickly. When using kdm and software rendering the system is so slow that is almost unusable. In a quick test Cinnamon seems to work ok with hardware acceleration.

--- gnome-session-3.8.2.1/data/hardware-compatibility.old	2012-11-23 08:30:19.000000000 +0200
+++ gnome-session-3.8.2.1/data/hardware-compatibility	2013-07-16 16:42:14.732283856 +0300
@@ -13,7 +13,7 @@
 ##
 
 # Intel 830-865
--Intel\(R\) 8[[:digit:]]{2,2}[^[:digit:]]
+#-Intel\(R\) 8[[:digit:]]{2,2}[^[:digit:]]
 
 # Pre-R300 radeon
 -Mesa DRI R[12]00[^[:digit:]]

Comment 80 Adam Williamson 2013-07-16 19:30:15 UTC
Sentiono: that is not this problem. Please report it separately.

Comment 81 Adam Williamson 2013-07-16 19:30:57 UTC
ajax, airlied, ray - are any of you actually going to bother looking at this at any point?

Comment 82 Ian Hasman 2013-07-24 11:05:02 UTC
I have been having similar problems with f19 on an old IBM 8429 that has an old Intel 865G video card. I have also noted some other differences. I used the i386 DVD plus updates (I had to update via Yum as the GUI would not let me authenticate for some reason).

If I do a manual login to GDM then I see the "Oh no something has gone wrong" message if I try to do almost anything - but I can select settings from the user name top right. From there I can see that the "Graphics" (Settings System Details) is set to Intel 856G. I can also set the user to "Automatic login" (Settings System Users). If I then auto login then GDM works OK but gobbles up processor time - typically the processors are running at 90% and 60% if you do anything using the graphics. Even using the system monitor to show resources. Under Settings System Details I can see that the "Graphics" has been set to Gallium 0.4 on llvmpipe (LLVM 3.3, 128 bits).

If I do a manual login to Gnome Classic then everything works OK. The "Graphics" is set to Intel 865G and the two processors are using about 2 to 6% when the system is idle with the system monitor set to resources. If I then set the user to auto login and do a restart then Gnome Classic starts OK but the "Graphics" is set to Gallium 0.4 on llvmpipe (LLVM 3.3, 128 bits). Putting up the system monitor and showing resources shows the processors sat at 60% and 90%.

This is the first Fedora I have loaded since f16. That worked OK. I've tried loading f17 as a quick trial and that was also OK.

Comment 83 Tim Hildred 2013-07-25 03:53:16 UTC
I came here from the "Common Fedora 19 Bugs" page. I was seeing the behaviour described if I started my F19 virtual machine in full screen mode.

But, if I started it windowed, and then logged in, I could switch to fullscreen, and everything worked fine.

Comment 84 lucah74 2013-07-31 09:18:34 UTC
Hello,
I've encountered this issue immediately after an upgrade from F18 via Fedup.
I've a blacklisted GPU (here an excerpt from lspci:
00:02.0 VGA compatible controller: Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller (rev 07)
Subsystem: Acer Incorporated [ALI] Device 0244
Kernel driver in use: gma500
); whilst I can't use gdm to perform a login in a Gnome session, lxdm and `$ startx` work as expected.

Comment 85 Ian Hasman 2013-08-05 09:57:18 UTC
Correction to my comment above (82).

The only way I managed to get Fedora 19 up and running on my old PC was to move the disk into a newer PC. I had intended to re-load the disk with Fedora 19 on the new machine but did not manage to interrupt the boot sequence in time to put the dvd in the drive. To my surprise Fedora booted OK from the hard disk that would not boot up in my old PC. From there I proceeded as noted above.

Since then I have been trawling around on the Gnome homepage and found that support for fallback mode has been removed from Gnome 3.8.

If, like me, you have a "blacklisted" video card (because it is too old) then you can not expect to load and use the default Fedora 19. You either need to move your hard disk into a newer machine and load another Desktop Manager or you need to download a different spin from the Fedora homepage and load that instead.

At the very least there needs to be a warning on the Fedora homepage to let people know this. The best solution would be for Gnome to re-instate fallback mode. The second best solution would be for Fedora to include another DM in the default spin with a bit of scripting to make sure it is loaded if an attempt is made to install Fedora on an old machine. We could be loosing users if we don't get this sorted.


I have tried loading Fedora 18 since my previous comment and that worked OK - after a warning at the first login that Gnome had switched to fallback mode.

Comment 86 Bruno Wolff III 2013-08-05 13:20:30 UTC
I believe the intention is that the llvmpipe driver would be good enough to get you a desktop where you could install a new desktop and switch to it.

Comment 87 Ian Hasman 2013-08-05 17:13:07 UTC
That was indeed what I did. But in order to get Fedora 19 to start up on the old PC I had to move the disk into a new PC and enable autologin. If you have an old PC with no access to a newer machine then how are you supposed to install and run Fedora 19?

Comment 88 Wayne Hammond 2013-08-06 18:03:32 UTC
I also cannot get GDM to open. My card should not be blacklisted (it is) as it is ony 3 years old. Radeon HD 5570.

The errors I get from the Xorg.0.log seem to indicate a bad path to the fglrx driver.

[   363.097] (EE) AIGLX error: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]

I don't have enough knowlwdge to find where this path is generated.

Any suggestions?

Comment 89 Adam Williamson 2013-08-06 19:53:18 UTC
Wayne: that message is unlikely to be the cause of your problem, basically it's just X checking if you're using the proprietary driver. Your problem is also unlikely to be this bug: I'd file it separately if I were you.

Ian: the point Bruno's making is that the issue here is not the lack of fallback mode. We knew fallback mode was going away; it wasn't expected to be a problem. The intention is that systems whose 3D adapters can't support Shell natively will get software rendering of Shell via llvmpipe. The bug is that _that isn't working_. It's clearly a serious bug (which is why I keep bugging the developers to work on it...), but what Bruno and I are trying to point out is that you're mis-characterizing exactly what the issue is and what the solution should be. The solution is not to put fallback mode back, it's to fix up whatever's going wrong with the software rendering path.

Comment 90 Andre Robatino 2013-08-06 20:50:27 UTC
(In reply to Adam Williamson from comment #89)

> The intention is that systems whose 3D adapters can't support
> Shell natively will get software rendering of Shell via llvmpipe. The bug is
> that _that isn't working_.

My Intel 82865 blacklisted box, which has this bug, runs GNOME fine using software rendering. The only problem is that I can't use gdm to log in - I have to use a different DM.

Comment 91 Adam Williamson 2013-08-06 20:51:35 UTC
That's what I meant by "isn't working". The last thing this 90-post long bug appeared to need was yet another explanation of the bug.

Comment 92 Wayne Hammond 2013-08-06 21:18:34 UTC
Thank you for responding, but how can I regain the use of my computer? The only graphical interface I can get is by switching to a new screen when the initial screen locks up and logging in as "root" and startx. Then I get a graphical interface only as long as I a logged in as root and I cannot startx as a normal user.

Comment 93 Ray Strode [halfline] 2013-08-06 21:40:16 UTC
John (or anyone else seeing this), when everything fades out and all you see is a textured gray background, what is

1) the output of loginctl list-sessions (and the output of loginctl show-session N for any session number returned)

2) does killing the gnome-shell process that's running as the GDM user (which is taking up 85% cpu according to comment 53) kick things into gear and make login continue?

Comment 94 John Reiser 2013-08-07 03:52:36 UTC
Killing the process which is "gnome-shell --mode=gdm" does un-wedge the immediate situation, but I didn't get very far, and it's messy.

In order to get anywhere for the past few weeks, I had done "system-switch-displaymanager lightdm" so that I could login.  So, in order to answer your NeedInfo, tonight I went back to "system-switch-display-manager gdm" and then rebooted.  I have removed "rhgb quiet" from the kernel boot command line, so I get VGA console during boot.

The console stopped at "Reached target Graphical Interface" and stayed there.  After about 30 seconds I grew impatient, so I switched to VT2 using C-A-F2, logged in as root, and did:
$ loginctl list-sessions
         1          0 root             seat0    
$ loginctl show-session 1       
Id=1
Timestamp=Tue 2013-08-06 20:16:22 PDT
TimestampMonotonic=142498541
DefaultControlGroup=systemd:/user/0.user/1.session
VTNr=2
TTY=tty2
Remote=no
Service=login
Leader=991
Audit=1
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375845488443999
IdleSinceHintMonotonic=248567039
Name=root
$
and then I "kill -KILL <pid>" the /usr/sbin/gdm process.  This initiated graphics with gdm, changing from VGA character graphics to X11 graphics.

Then I tried to login.  It got wedged after accepting the password, so I ssh'ed in over the network, incanted your magic commands, and that "worked".  I got the background wallpaper, the header line with the time, etc., but after a while I got the sudden all-white screen and then the "Oh no, something has gone wrong!".  So I clicked the button, and started over at login.

Now I got into a loop.  It would get stuck after accepting password, I would ssh in over the network, and invoke the magic incantation, this time killing the "gnome-shell --mode=gdm" process.  Graphics would resume, but I wound up back at an original graphics login screen, where I could click on my name.  This happened a couple of times, and then I grew tired.  So I decided to reboot and try again, which will appear in the next Comment.

Meanwhile, here is a screen-scrape of the incantations from over the network, *AFTER* the first time:
-----
$ ps ax | grep gdm
 1038 ?        Ssl    0:00 /usr/sbin/gdm
 1041 ?        Sl     0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
 1047 tty1     Ss+    0:07 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-Rlp4nW/database -seat seat0 -nolisten tcp vt1
 1063 ?        Sl     0:00 gdm-session-worker [pam/gdm-launch-environment]
 1067 ?        Ssl    0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
 1070 ?        S      0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
 1151 ?        Rl     1:28 gnome-shell --mode=gdm
 1229 ?        Sl     0:00 gdm-session-worker [pam/gdm-password]
 1279 pts/0    S+     0:00 grep --color=auto gdm
[jreiser@f19h32 ~]$ su
Password: 
Last login: Tue Aug  6 20:16:22 PDT 2013 on tty2
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1          0 root             seat0           
        c1         42 gdm              seat0           
         2       1000 jreiser          seat0           
         3       1000 jreiser                          

4 sessions listed.
[root@f19h32 jreiser]# for i in 1 c1 2 3
> do echo =====; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 20:16:22 PDT
TimestampMonotonic=142498541
DefaultControlGroup=systemd:/user/0.user/1.session
VTNr=2
TTY=tty2
Remote=no
Service=login
Leader=991
Audit=1
Type=tty
Class=user
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=1375845512443999
IdleSinceHintMonotonic=272567039
Name=root
=====
Id=c1
Timestamp=Tue 2013-08-06 20:18:35 PDT
TimestampMonotonic=275194665
DefaultControlGroup=systemd:/user/42.user/c1.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=1063
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=gdm
=====
Id=2
Timestamp=Tue 2013-08-06 20:19:15 PDT
TimestampMonotonic=315843553
DefaultControlGroup=systemd:/user/1000.user/2.session
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=1229
Audit=2
Type=x11
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
=====
Id=3
Timestamp=Tue 2013-08-06 20:20:28 PDT
TimestampMonotonic=388293142
DefaultControlGroup=systemd:/user/1000.user/3.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=1242
Audit=3
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375845704249967
IdleSinceHintMonotonic=464373008
Name=jreiser
[root@f19h32 jreiser]# kill -KILL 1151

##  go try graphical login; get stuck

[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1038     1  20   0  27336  2840 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1041  1038  20   0  37228  3420 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  1047  1041  20   0  23384  8752 poll_s Ss+  tty1       0:15 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-Rlp4nW/database -seat seat0 -nolisten tcp vt1
4     0  1063  1041  20   0  30024  3964 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  1067  1063  20   0  74720  9536 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  1070     1  20   0   3656   560 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1317  1067  20   0 459372 98500 poll_s Sl   ?          0:14 gnome-shell --mode=gdm
0     0  1344  1285  20   0   4944   828 pipe_w S+   pts/0      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1          0 root             seat0           
        c1         42 gdm              seat0           
         3       1000 jreiser                          

3 sessions listed.
[root@f19h32 jreiser]# for i in 1 c1 3
> do echo =====; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 20:16:22 PDT
TimestampMonotonic=142498541
DefaultControlGroup=systemd:/user/0.user/1.session
VTNr=2
TTY=tty2
Remote=no
Service=login
Leader=991
Audit=1
Type=tty
Class=user
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=1375845512443999
IdleSinceHintMonotonic=272567039
Name=root
=====
Id=c1
Timestamp=Tue 2013-08-06 20:18:35 PDT
TimestampMonotonic=275194665
DefaultControlGroup=systemd:/user/42.user/c1.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=1063
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=gdm
=====
Id=3
Timestamp=Tue 2013-08-06 20:20:28 PDT
TimestampMonotonic=388293142
DefaultControlGroup=systemd:/user/1000.user/3.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=1242
Audit=3
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375845840249967
IdleSinceHintMonotonic=600373008
Name=jreiser
[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1038     1  20   0  27336  2840 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1041  1038  20   0  37228  3436 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  1047  1041  20   0  23384  8752 poll_s Ss+  tty1       0:15 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-Rlp4nW/database -seat seat0 -nolisten tcp vt1
4     0  1063  1041  20   0  30024  3964 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  1067  1063  20   0  74720  9536 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  1070     1  20   0   3656   560 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1317  1067  20   0 460556 99836 poll_s Sl   ?          0:19 gnome-shell --mode=gdm
4     0  1347  1041  20   0  30164  3620 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0     0  1365  1285  20   0   4944   828 pipe_w S+   pts/0      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# kill -KILL 1317

## go try graphical login; get stuck

[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1038     1  20   0  27336  2872 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  2182  1038  20   0  37224  3416 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_1
4     0  2187  2182  20   0  23128  8516 poll_s Ss+  tty1       0:05 /usr/bin/Xorg :1 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-74mpoi/database -seat seat0 -nolisten tcp vt1
4     0  2198  2182  20   0  30020  4004 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  2202  2198  20   0  74716  9528 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  2205     1  20   0   3656   552 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  2240  2202  20   0 461028 100884 -     Rl   ?          1:03 gnome-shell --mode=gdm
4     0  2325  2182  20   0  30304  4412 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0     0  2339  1285  20   0   4944   832 pipe_w S+   pts/0      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1          0 root             seat0           
         3       1000 jreiser                          
         4       1000 jreiser          seat0           
        c2         42 gdm              seat0           
         5       1000 jreiser          seat0           

5 sessions listed.
[root@f19h32 jreiser]# for i in 1 3 4 c2 5
> do echo =====; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 20:16:22 PDT
TimestampMonotonic=142498541
DefaultControlGroup=systemd:/user/0.user/1.session
VTNr=2
TTY=tty2
Remote=no
Service=login
Leader=991
Audit=1
Type=tty
Class=user
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=1375845512443999
IdleSinceHintMonotonic=272567040
Name=root
=====
Id=3
Timestamp=Tue 2013-08-06 20:20:28 PDT
TimestampMonotonic=388293142
DefaultControlGroup=systemd:/user/1000.user/3.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=1242
Audit=3
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375846152249967
IdleSinceHintMonotonic=912373008
Name=jreiser
=====
Id=4
Timestamp=Tue 2013-08-06 20:25:37 PDT
TimestampMonotonic=697248044
DefaultControlGroup=systemd:/user/1000.user/4.session
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=1397
Audit=4
Type=x11
Class=user
Active=no
State=closing
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
=====
Id=c2
Timestamp=Tue 2013-08-06 20:27:08 PDT
TimestampMonotonic=788302626
DefaultControlGroup=systemd:/user/42.user/c2.session
VTNr=1
Display=:1
Remote=no
Service=gdm-launch-environment
Leader=2198
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=gdm
=====
Id=5
Timestamp=Tue 2013-08-06 20:27:54 PDT
TimestampMonotonic=834267321
DefaultControlGroup=systemd:/user/1000.user/5.session
VTNr=1
Display=:1
Remote=no
Service=gdm-password
Leader=2325
Audit=5
Type=x11
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
[root@f19h32 jreiser]# kill -KILL 2240
-----

Comment 95 John Reiser 2013-08-07 04:23:35 UTC
So I did a fresh reboot, and tried again.  No "Oh no, something bad happened!" this time, but I also never got beyond the dark gray screen, despite more than one attempt.

$ ssh f19h32

## stuck in VGA console showing "Reached target Graphical Interface"

[jreiser@f19h32 ~]$ ps axl | grep gdm
4     0   371     1  20   0  27200  2500 poll_s Ssl  ?          0:00 /usr/sbin/gdm
0  1000  1023   991  20   0   4944   832 pipe_w S+   pts/1      0:00 grep --color=auto gdm
[jreiser@f19h32 ~]$ su
Password: 
Last login: Tue Aug  6 20:32:49 PDT 2013 on pts/1
[root@f19h32 jreiser]# kill -KILL 371
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ### login (click name, type password), get stuck at dark gray screen
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1072     1  20   0  27336  2844 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1075  1072  20   0  37228  3412 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  1081  1075  20   0  23128  8516 poll_s Ss+  tty1       0:22 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-0dFACE/database -seat seat0 -nolisten tcp vt1
4     0  1097  1075  20   0  30024  3956 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  1101  1097  20   0  74720  9536 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  1104     1  20   0   3656   556 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1187  1101  20   0 469632 116376 -     Rl   ?          4:56 gnome-shell --mode=gdm
0     0  1281  1050  20   0   4944   832 pipe_w S+   pts/1      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1       1000 jreiser                          
         2          0 root                             
        c1         42 gdm              seat0           

3 sessions listed.
[root@f19h32 jreiser]# for i in 1 2 c1
> do echo =====; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 21:00:42 PDT
TimestampMonotonic=255491977
DefaultControlGroup=systemd:/user/1000.user/1.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=986
Audit=1
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375848456544141
IdleSinceHintMonotonic=669664834
Name=jreiser
=====
Id=2
Timestamp=Tue 2013-08-06 21:01:01 PDT
TimestampMonotonic=274222549
DefaultControlGroup=systemd:/user/0.user/2.session
VTNr=0
Remote=no
Service=crond
Leader=1027
Audit=2
Type=unspecified
Class=background
Active=yes
State=closing
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=root
=====
Id=c1
Timestamp=Tue 2013-08-06 21:01:11 PDT
TimestampMonotonic=284750322
DefaultControlGroup=systemd:/user/42.user/c1.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=1097
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=yes
IdleSinceHint=1375848413655587
IdleSinceHintMonotonic=626776281
Name=gdm
[root@f19h32 jreiser]# kill -KILL 1187
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ### reverts to VGA console ("Reached target Graphical Interface") and gets stuck with no graphics
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1072     1  20   0  27332  2956 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1081     1  20   0  23152  8516 poll_s Ss+  tty1       0:23 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-0dFACE/database -seat seat0 -nolisten tcp vt1
4     0  1097     1  20   0  30024  3956 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  1101  1097  20   0  74720  9536 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  1104     1  20   0   3656   556 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1401  1101  20   0 467956 109920 poll_s Sl  ?          0:08 gnome-shell --mode=gdm
0     0  1423  1050  20   0   4944   832 pipe_w S+   pts/1      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# kill -KILL 1401
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ### still stuck in VGA console
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# loginctl list-sesions
Unknown operation list-sesions
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1       1000 jreiser                          
         2          0 root                             
        c1         42 gdm              seat0           

3 sessions listed.
[root@f19h32 jreiser]# for i in 1 2 c1
> do echo ===== ; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 21:00:42 PDT
TimestampMonotonic=255491977
DefaultControlGroup=systemd:/user/1000.user/1.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=986
Audit=1
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375848664544141
IdleSinceHintMonotonic=877664834
Name=jreiser
=====
Id=2
Timestamp=Tue 2013-08-06 21:01:01 PDT
TimestampMonotonic=274222549
DefaultControlGroup=systemd:/user/0.user/2.session
VTNr=0
Remote=no
Service=crond
Leader=1027
Audit=2
Type=unspecified
Class=background
Active=yes
State=closing
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=root
=====
Id=c1
Timestamp=Tue 2013-08-06 21:01:11 PDT
TimestampMonotonic=284750322
DefaultControlGroup=systemd:/user/42.user/c1.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=1097
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=1375848475122012
IdleSinceHintMonotonic=688242706
Name=gdm
[root@f19h32 jreiser]# kill -KILL 1401 1072  ## shoot them both
bash: kill: (1401) - No such process
[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1458     1  20   0  27336  2768 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1461  1458  20   0  37100  3300 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  1466  1461  20   0  22500  7884 poll_s Ss+  tty1       0:00 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-Ekbwkb/database -seat seat0 -nolisten tcp vt1
4     0  1477  1461  20   0  30024  3940 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  1481  1477  20   0  72232  7472 -      Rsl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  1484     1  20   0   3656   556 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1518  1481  20   0  48924  4608 -      R    ?          0:00 gnome-shell --mode=gdm
0     0  1521  1050  20   0   4940   828 pipe_w S+   pts/1      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ## still stuck in VGA console
[root@f19h32 jreiser]# ## actually graphics does start after more than a minute
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ## login (click name, type password) get stuck at dark gray screen
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1458     1  20   0  27336  2840 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1461  1458  20   0  37228  3420 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  1466  1461  20   0  23148  8516 poll_s Ss+  tty1       0:11 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-Ekbwkb/database -seat seat0 -nolisten tcp vt1
4     0  1477  1461  20   0  30024  3952 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  1481  1477  20   0  74720  9536 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  1484     1  20   0   3656   556 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1518  1481  20   0 476776 116508 -     Rl   ?          2:13 gnome-shell --mode=gdm
4     0  1570  1461  20   0  30296  4420 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0     0  1585  1050  20   0   4940   832 pipe_w S+   pts/1      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1       1000 jreiser                          
         2          0 root                             
        c2         42 gdm              seat0           
         4       1000 jreiser          seat0           

4 sessions listed.
[root@f19h32 jreiser]# for i in 1 2 c2 4
> do echo =====; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 21:00:42 PDT
TimestampMonotonic=255491977
DefaultControlGroup=systemd:/user/1000.user/1.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=986
Audit=1
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375848904544141
IdleSinceHintMonotonic=1117664834
Name=jreiser
=====
Id=2
Timestamp=Tue 2013-08-06 21:01:01 PDT
TimestampMonotonic=274222549
DefaultControlGroup=systemd:/user/0.user/2.session
VTNr=0
Remote=no
Service=crond
Leader=1027
Audit=2
Type=unspecified
Class=background
Active=yes
State=closing
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=root
=====
Id=c2
Timestamp=Tue 2013-08-06 21:11:47 PDT
TimestampMonotonic=920471908
DefaultControlGroup=systemd:/user/42.user/c2.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=1477
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=gdm
=====
Id=4
Timestamp=Tue 2013-08-06 21:12:31 PDT
TimestampMonotonic=964595043
DefaultControlGroup=systemd:/user/1000.user/4.session
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=1570
Audit=4
Type=x11
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
[root@f19h32 jreiser]# kill -KILL 1570
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ## still stuck at dark gray screen after 2 minutes.
[root@f19h32 jreiser]# ps axl | grep gdm
4     0  1458     1  20   0  27340  2844 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  1461  1458  20   0  37228  3472 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  1466  1461  20   0  23148  8520 poll_s Ss+  tty1       0:14 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-Ekbwkb/database -seat seat0 -nolisten tcp vt1
4     0  1598  1461  20   0  30164  3620 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0     0  1614  1050  20   0   4940   832 pipe_w S+   pts/1      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         1       1000 jreiser                          
         2          0 root                             

2 sessions listed.
[root@f19h32 jreiser]# for i in 1 2; do echo =====; loginctl show-session $i; done
=====
Id=1
Timestamp=Tue 2013-08-06 21:00:42 PDT
TimestampMonotonic=255491977
DefaultControlGroup=systemd:/user/1000.user/1.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=986
Audit=1
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375849128544141
IdleSinceHintMonotonic=1341664835
Name=jreiser
=====
Id=2
Timestamp=Tue 2013-08-06 21:01:01 PDT
TimestampMonotonic=274222549
DefaultControlGroup=systemd:/user/0.user/2.session
VTNr=0
Remote=no
Service=crond
Leader=1027
Audit=2
Type=unspecified
Class=background
Active=yes
State=closing
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=root
#  reboot

Comment 96 Adam Williamson 2013-08-07 04:51:51 UTC
John: if at all possible it might be better to test with a 'clean' setup, i.e. no switching to lightdm and then back, as it sounds like the behaviour is _worse_ than it was initially from the last two posts. at least, I have no idea what "system-switch-display-manager" actually does or where it comes from; it might be best to do 'yum remove lightdm' and then an explicit 'systemctl enable gdm.service' just to make sure things are in line.

Comment 97 Wayne Hammond 2013-08-07 13:59:35 UTC
More feedback:

My machine is acting a bit differently than John's in as I never get a "gray screen". I upgraded from Fedora 18 with fedup and have had issues since. Normally I would boot to one of the backup distros and wait for the developers to sort out the issues, but this time all of the previous distros are now Fedora 19, even though they indicate previous Fedora 18 in the grub menu.

The only way I have been able to log in is to open a new interface with ctrl-alt-f2 and then logon as root. I can then start a graphical interface with startx. If the display goes to screensaver mode I cannot log back in, Fedora not accepting the root password.

The message John is getting from the initial start up are the same for me though.

This morning I became frustrated and attempted a fresh install from a live dvd. The live dvd recognizes my hardware fine and all went well, taking about ten minutes to install. I then clicked on "quit", removed the dvd and waited for a screen. My screen is still black after about an hour although there is hard disk activity as the light is blinking. I assume the installation is completing, but I would expect some indication on the screen so I would know what the progress is.

Comment 98 Ian Hasman 2013-08-07 15:55:47 UTC
Bruno/Adam

Apologies for attempting to divert this bug. I'll keep tracking it to see when I should attempt a re-load on my old PC.

Incidentally I was attempting to make it into a multi boot fedora this morning when I found that there are indeed plenty of other dektops included in the spin. Once the Software Source has selected the repository on the dvd just click on software and choose a suitable desktop - MATE appears to work OK.

Again apologies for taking up your time - if you need any testing doing just drop me a line.

Comment 99 Adam Williamson 2013-08-07 16:24:31 UTC
Wayne: if you don't see GDM, then a grey screen when attempting to log in from GDM to Shell, then this is not your bug. Please file your problem separately.

Comment 100 John Reiser 2013-08-08 04:08:11 UTC
(In reply to Adam Williamson from comment #96)
> John: if at all possible it might be better to test with a 'clean' setup,
> i.e. no switching to lightdm and then back, as it sounds like the behaviour
> is _worse_ than it was initially from the last two posts. at least, I have
> no idea what "system-switch-display-manager" actually does or where it comes
> from; it might be best to do 'yum remove lightdm' and then an explicit
> 'systemctl enable gdm.service' just to make sure things are in line.

This package is the official and supported way to switch login managers:
system-switch-displaymanager-1.3-2.fc19.noarch
so I used it.  If the state is wrong, then fix the bug(s).


Meanwhile, I did "yum update" and rebooted.  Here is the scraping from an ssh session into the box, including comments on what I see.

## Login screen appears after boot; does not get stuck at "Reached target Graphical Interface"
## Click on name, type password, gets stuck at gray screen with Fedora branding at bottom.

$ ps axl | grep gdm
4     0   370     1  20   0  27332  2840 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0   408   370  20   0  37224  3412 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0   466   408  20   0  23116  8556 poll_s Ss+  tty1       0:13 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-VPPMIK/database -seat seat0 -nolisten tcp vt1
4     0   904   408  20   0  30024  3944 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42   911   904  20   0  74696 10136 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42   914     1  20   0   3656   556 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  1113   911  20   0 462032 102116 ?     Rl   ?          2:41 gnome-shell --mode=gdm
4     0  1196   408  20   0  30292  4376 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0  1000  1250  1215  20   0   4944   828 pipe_w S+   pts/0      0:00 grep --color=auto gdm
[jreiser@f19h32 ~]$ loginctl list-sessions
   SESSION        UID USER             SEAT            
        c1         42 gdm              seat0           
         1       1000 jreiser          seat0           
         2       1000 jreiser                          

3 sessions listed.
[jreiser@f19h32 ~]$ for i in c1 1 2; do echo =====; loginctl show-session $i; done
=====
Id=c1
Timestamp=Wed 2013-08-07 20:31:16 PDT
TimestampMonotonic=72437612
DefaultControlGroup=systemd:/user/42.user/c1.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=904
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=gdm
=====
Id=1
Timestamp=Wed 2013-08-07 20:32:26 PDT
TimestampMonotonic=142179692
DefaultControlGroup=systemd:/user/1000.user/1.session
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=1196
Audit=1
Type=x11
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
=====
Id=2
Timestamp=Wed 2013-08-07 20:33:34 PDT
TimestampMonotonic=210170346
DefaultControlGroup=systemd:/user/1000.user/2.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=1210
Audit=2
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375932936118317
IdleSinceHintMonotonic=332245139
Name=jreiser
[jreiser@f19h32 ~]$ kill -KILL 1113
-bash: kill: (1113) - Operation not permitted
[jreiser@f19h32 ~]$ su
Password: 
Last login: Tue Aug  6 21:49:11 PDT 2013 on pts/1
[root@f19h32 jreiser]# kill -KILL 1113
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ### gets back to login screen.  Click on name.  Password form does not appear.  Instead login screen re-appears.  Click on name again.  Password form appears.  Type password.  Gets background wallpaper, header line with Activities, date, "system tray" icons, my name.  Also gets "A Problem has occurred.  A problem in the gnome-shell package ..." at bottom center, but I ignore it.
[root@f19h32 jreiser]# ### Pressing the (left) Windows key (between Ctrl and Alt on my keyboard) causes the harddrive LED to flicker for 25 seconds, then wallpaper zooms out and zooms in, but otherwise the display still has not changed after one minute.  (No Activities tray sliding in on the left margin.)
[root@f19h32 jreiser]# ### Moving the mouse hard into the upper left corner causes the harddrive LED to flicker for some seconds, the background wallpaper to zoom out and zoom in, and then after more seconds I get the all-white full-screen bloom with "Oh no! Something has gone wrong".  So I click LogOut.
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ### This brings me back to the login screen.  Click on name, type password, gets stuck at all-gray screen (except Fedora branding at bottom center.)
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ps axl | grep gdm
4     0   370     1  20   0  27332  2852 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  2344   370  20   0  37228  3412 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  2349  2344  20   0  23120  8560 poll_s Ss+  tty1       0:07 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-XScRtt/database -seat seat0 -nolisten tcp vt1
4     0  2360  2344  20   0  30024  3952 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-launch-environment]
4    42  2364  2360  20   0  74700 10144 poll_s Ssl  ?          0:00 /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
1    42  2367     1  20   0   3656   552 poll_s S    ?          0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart --debug
0    42  2401  2364  20   0 461144 102152 -     Rl   ?          1:22 gnome-shell --mode=gdm
4     0  2469  2344  20   0  30296  4424 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0     0  2484  1265  20   0   4944   828 pipe_w S+   pts/0      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# loginctl list-sessions
   SESSION        UID USER             SEAT            
         2       1000 jreiser                          
         3       1000 jreiser          seat0           
        c2         42 gdm              seat0           
         4       1000 jreiser          seat0           

4 sessions listed.
[root@f19h32 jreiser]# for i in 2 3 c2 4; do echo =====; loginctl show-session $i; done
=====
Id=2
Timestamp=Wed 2013-08-07 20:33:34 PDT
TimestampMonotonic=210170346
DefaultControlGroup=systemd:/user/1000.user/2.session
VTNr=0
Remote=yes
RemoteHost=f17-64.local
Service=sshd
Leader=1210
Audit=2
Type=tty
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=1375933696118317
IdleSinceHintMonotonic=1092245138
Name=jreiser
=====
Id=3
Timestamp=Wed 2013-08-07 20:37:17 PDT
TimestampMonotonic=433451276
DefaultControlGroup=systemd:/user/1000.user/3.session
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=1314
Audit=3
Type=x11
Class=user
Active=no
State=closing
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
=====
Id=c2
Timestamp=Wed 2013-08-07 20:46:08 PDT
TimestampMonotonic=964421668
DefaultControlGroup=systemd:/user/42.user/c2.session
VTNr=1
Display=:0
Remote=no
Service=gdm-launch-environment
Leader=2360
Audit=0
Type=x11
Class=greeter
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=gdm
=====
Id=4
Timestamp=Wed 2013-08-07 20:46:40 PDT
TimestampMonotonic=996553621
DefaultControlGroup=systemd:/user/1000.user/4.session
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=2469
Audit=4
Type=x11
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=jreiser
[root@f19h32 jreiser]# kill -KILL 2401
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ### Gets back to login screen.  Click on name, but no password dialog appears; stuck at grey screen for 1/2 minute, then login re-appears.
[root@f19h32 jreiser]# ### Click on name, type password, background wallpaper zooms in.  Type Windows key.  Background wallpaper zooms out, zooms in, and nothing more (no left tray of Activities icons.)
[root@f19h32 jreiser]# ### Move mouse hard into upper left corner.  Harddrive LED flickers for a couple seconds, then a few seconds later the background wallpaper zooms out, zooms in, and I get the white full-screen with "Oh no! Something has gone wrong."
[root@f19h32 jreiser]# 
[root@f19h32 jreiser]# ps axl | grep gdm
4     0   370     1  20   0  27336  2856 poll_s Ssl  ?          0:00 /usr/sbin/gdm
4     0  2344   370  20   0  37228  3484 poll_s Sl   ?          0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
4     0  2349  2344  20   0  24184  9284 poll_s Ss+  tty1       0:13 /usr/bin/Xorg :0 -background none -verbose -logverbose 7 -core -auth /run/gdm/auth-for-gdm-XScRtt/database -seat seat0 -nolisten tcp vt1
4     0  2523  2344  20   0  30296  4432 poll_s Sl   ?          0:00 gdm-session-worker [pam/gdm-password]
0     0  3444  1265  20   0   4944   828 pipe_w S+   pts/0      0:00 grep --color=auto gdm
[root@f19h32 jreiser]# vi /var/log/yum.log
[root@f19h32 jreiser]# tail -100 !$
tail -100 /var/log/yum.log
Aug 03 13:10:13 Updated: dotconf-1.3-6.fc19.i686
Aug 03 13:10:25 Updated: libicu-50.1.2-7.fc19.i686
Aug 03 13:10:28 Updated: alsa-utils-1.0.27.2-2.fc19.i686
Aug 03 13:10:30 Updated: libgcrypt-1.5.3-1.fc19.i686
Aug 03 13:10:31 Updated: libibverbs-1.1.7-2.fc19.i686
Aug 03 13:10:33 Updated: sox-14.4.1-4.fc19.i686
Aug 03 13:10:34 Updated: hunspell-1.3.2-13.fc19.i686
Aug 03 13:10:35 Updated: 2:irqbalance-1.0.5-4.fc19.i686
Aug 03 13:10:37 Updated: 1:make-3.82-18.fc19.i686
Aug 03 13:10:44 Updated: gnome-dictionary-3.8.0-1.fc19.i686
Aug 03 13:10:49 Updated: gdb-7.6-32.fc19.i686
Aug 03 13:10:51 Updated: telepathy-glib-0.20.4-1.fc19.i686
Aug 03 13:10:53 Updated: realmd-0.14.3-1.fc19.i686
Aug 03 13:10:54 Updated: dosfstools-3.0.22-2.fc19.i686
Aug 03 13:10:57 Updated: mesa-libxatracker-9.2-0.14.20130723.fc19.i686
Aug 03 13:10:58 Updated: mesa-libwayland-egl-9.2-0.14.20130723.fc19.i686
Aug 06 21:29:15 Updated: selinux-policy-3.12.1-69.fc19.noarch
Aug 06 21:29:17 Updated: libreport-filesystem-2.1.6-2.fc19.i686
Aug 06 21:29:17 Updated: xorg-x11-server-common-1.14.2-9.fc19.i686
Aug 06 21:29:18 Updated: qt-settings-19-23.1.fc19.noarch
Aug 06 21:29:21 Updated: firewalld-0.3.4-1.fc19.noarch
Aug 06 21:29:22 Installed: fros-1.0-1.fc19.noarch
Aug 06 21:29:22 Updated: firewall-config-0.3.4-1.fc19.noarch
Aug 06 21:29:40 Updated: selinux-policy-targeted-3.12.1-69.fc19.noarch
Aug 06 21:31:27 Updated: selinux-policy-devel-3.12.1-69.fc19.noarch
Aug 06 21:31:49 Updated: xorg-x11-server-debuginfo-1.14.2-9.fc19.i686
Aug 06 21:31:49 Updated: kde-settings-kdm-19-23.1.fc19.noarch
Aug 06 21:31:57 Updated: glib2-debuginfo-2.36.3-3.fc19.i686
Aug 06 21:31:59 Updated: yum-3.4.3-104.fc19.noarch
Aug 06 21:32:01 Updated: kde-settings-19-23.1.fc19.noarch
Aug 06 21:32:05 Updated: gstreamer1-debuginfo-1.0.9-1.fc19.i686
Aug 06 21:32:13 Updated: glib2-2.36.3-3.fc19.i686
Aug 06 21:32:13 Installed: satyr-0.5-2.fc19.i686
Aug 06 21:32:15 Updated: libreport-2.1.6-2.fc19.i686
Aug 06 21:32:15 Updated: libreport-python-2.1.6-2.fc19.i686
Aug 06 21:32:16 Updated: abrt-libs-2.1.6-3.fc19.i686
Aug 06 21:32:17 Updated: abrt-2.1.6-3.fc19.i686
Aug 06 21:32:18 Updated: libreport-web-2.1.6-2.fc19.i686
Aug 06 21:32:20 Updated: gstreamer1-1.0.9-1.fc19.i686
Aug 06 21:32:22 Updated: gstreamer1-plugins-base-1.0.9-1.fc19.i686
Aug 06 21:32:23 Updated: abrt-retrace-client-2.1.6-3.fc19.i686
Aug 06 21:32:28 Updated: 1:qt-4.8.5-5.fc19.i686
Aug 06 21:32:30 Updated: xorg-x11-server-Xorg-1.14.2-9.fc19.i686
Aug 06 21:32:31 Updated: openssh-6.2p2-5.fc19.i686
Aug 06 21:32:31 Updated: libreport-fedora-2.1.6-2.fc19.i686
Aug 06 21:32:41 Updated: 1:qt-x11-4.8.5-5.fc19.i686
Aug 06 21:32:42 Updated: abrt-addon-ccpp-2.1.6-3.fc19.i686
Aug 06 21:32:43 Updated: libreport-plugin-ureport-2.1.6-2.fc19.i686
Aug 06 21:32:43 Updated: libreport-plugin-bugzilla-2.1.6-2.fc19.i686
Aug 06 21:32:44 Updated: libreport-plugin-kerneloops-2.1.6-2.fc19.i686
Aug 06 21:32:45 Updated: abrt-addon-kerneloops-2.1.6-3.fc19.i686
Aug 06 21:32:45 Updated: abrt-addon-vmcore-2.1.6-3.fc19.i686
Aug 06 21:32:46 Updated: abrt-addon-uefioops-2.1.6-3.fc19.i686
Aug 06 21:32:46 Updated: libreport-plugin-reportuploader-2.1.6-2.fc19.i686
Aug 06 21:32:47 Updated: libreport-gtk-2.1.6-2.fc19.i686
Aug 06 21:32:49 Updated: gnome-abrt-0.3.0-3.fc19.i686
Aug 06 21:32:49 Updated: abrt-plugin-bodhi-2.1.6-3.fc19.i686
Aug 06 21:32:50 Updated: abrt-dbus-2.1.6-3.fc19.i686
Aug 06 21:32:51 Updated: abrt-gui-2.1.6-3.fc19.i686
Aug 06 21:32:52 Updated: abrt-addon-python-2.1.6-3.fc19.i686
Aug 06 21:32:53 Updated: abrt-addon-xorg-2.1.6-3.fc19.i686
Aug 06 21:32:53 Updated: libreport-plugin-logger-2.1.6-2.fc19.i686
Aug 06 21:32:55 Updated: gnome-session-3.8.4-1.fc19.i686
Aug 06 21:32:56 Updated: librepo-0.0.5-3.fc19.i686
Aug 06 21:32:57 Updated: caribou-gtk3-module-0.4.11-1.fc19.i686
Aug 06 21:32:57 Updated: caribou-gtk2-module-0.4.11-1.fc19.i686
Aug 06 21:32:58 Updated: python-caribou-0.4.11-1.fc19.noarch
Aug 06 21:33:00 Updated: caribou-0.4.11-1.fc19.i686
Aug 06 21:33:05 Updated: libvirt-client-1.0.5.5-1.fc19.i686
Aug 06 21:33:06 Updated: gnome-session-xsession-3.8.4-1.fc19.i686
Aug 06 21:33:06 Updated: abrt-desktop-2.1.6-3.fc19.i686
Aug 06 21:33:09 Updated: libvirt-daemon-1.0.5.5-1.fc19.i686
Aug 06 21:33:10 Updated: libvirt-daemon-driver-network-1.0.5.5-1.fc19.i686
Aug 06 21:33:10 Updated: libvirt-daemon-driver-qemu-1.0.5.5-1.fc19.i686
Aug 06 21:33:11 Updated: libvirt-daemon-driver-storage-1.0.5.5-1.fc19.i686
Aug 06 21:33:12 Updated: libvirt-daemon-driver-interface-1.0.5.5-1.fc19.i686
Aug 06 21:33:12 Updated: libvirt-daemon-driver-nwfilter-1.0.5.5-1.fc19.i686
Aug 06 21:33:14 Updated: libvirt-daemon-driver-secret-1.0.5.5-1.fc19.i686
Aug 06 21:33:15 Updated: libvirt-daemon-driver-nodedev-1.0.5.5-1.fc19.i686
Aug 06 21:33:16 Updated: libvirt-daemon-kvm-1.0.5.5-1.fc19.i686
Aug 06 21:33:16 Updated: libvirt-daemon-qemu-1.0.5.5-1.fc19.i686
Aug 06 21:33:17 Updated: python-librepo-0.0.5-3.fc19.i686
Aug 06 21:33:17 Installed: 1:qt-qdbusviewer-4.8.5-5.fc19.i686
Aug 06 21:33:18 Updated: openssh-server-6.2p2-5.fc19.i686
Aug 06 21:33:19 Updated: openssh-clients-6.2p2-5.fc19.i686
Aug 06 21:33:20 Updated: 1:xorg-x11-drv-nouveau-1.0.9-1.fc19.i686
Aug 06 21:33:21 Updated: xorg-x11-drv-intel-2.21.12-2.fc19.i686
Aug 06 21:33:25 Updated: gstreamer1-plugins-good-1.0.9-1.fc19.i686
Aug 06 21:33:27 Updated: gstreamer1-plugins-bad-free-1.0.9-1.fc19.i686
Aug 06 21:33:37 Updated: empathy-3.8.3-2.fc19.i686
Aug 06 21:33:39 Updated: rygel-0.18.3-1.fc19.i686
Aug 06 21:33:40 Updated: ed-1.9-1.fc19.i686
Aug 06 21:33:41 Updated: SDL-1.2.15-11.fc19.i686
Aug 06 21:33:42 Updated: grubby-8.28-1.fc19.i686
Aug 06 21:34:58 SDL-1.2.15-9.fc19.i686: ts_done name in te is kde-settings-kdm should be SDL-1.2.15-9.fc19.i686
Aug 06 21:34:59 grubby-8.26-2.fc19.i686: ts_done name in te is SDL should be grubby-8.26-2.fc19.i686
Aug 06 21:34:59 glib2-debuginfo-2.36.3-2.fc19.i686: ts_done name in te is grubby should be glib2-debuginfo-2.36.3-2.fc19.i686
Aug 06 21:35:00 yum-3.4.3-103.fc19.noarch: ts_done name in te is glib2-debuginfo should be yum-3.4.3-103.fc19.noarch
Aug 06 21:35:01 kde-settings-19-23.fc19.noarch: ts_done name in te is yum should be kde-settings-19-23.fc19.noarch
Aug 06 21:35:01 gstreamer1-debuginfo-1.0.8-1.fc19.i686: ts_done name in te is kde-settings should be gstreamer1-debuginfo-1.0.8-1.fc19.i686
[root@f19h32 jreiser]# rpm -q gdm mesa libGL kernel-PAE
gdm-3.8.3-2.fc19.i686
package mesa is not installed
package libGL is not installed
kernel-PAE-3.9.9-301.fc19.i686
kernel-PAE-3.10.3-300.fc19.i686
kernel-PAE-3.10.4-300.fc19.i686
[root@f19h32 jreiser]# rpm -qa | sort >/tmp/rpm-qa.txt
[root@f19h32 jreiser]# grep -i mesa !$
grep -i mesa /tmp/rpm-qa.txt
mesa-debuginfo-9.2-0.14.20130723.fc19.i686
mesa-dri-drivers-9.2-0.14.20130723.fc19.i686
mesa-filesystem-9.2-0.14.20130723.fc19.i686
mesa-libEGL-9.2-0.14.20130723.fc19.i686
mesa-libgbm-9.2-0.14.20130723.fc19.i686
mesa-libGL-9.2-0.14.20130723.fc19.i686
mesa-libglapi-9.2-0.14.20130723.fc19.i686
mesa-libwayland-egl-9.2-0.14.20130723.fc19.i686
mesa-libxatracker-9.2-0.14.20130723.fc19.i686
[root@f19h32 jreiser]# grep xserver !$
grep xserver /tmp/rpm-qa.txt
[root@f19h32 jreiser]# grep server !$
grep server /tmp/rpm-qa.txt
evolution-data-server-3.8.4-1.fc19.i686
evolution-data-server-debuginfo-3.8.4-1.fc19.i686
libwayland-server-1.2.0-1.fc19.i686
obex-data-server-0.4.6-5.fc19.i686
openssh-server-6.2p2-5.fc19.i686
setroubleshoot-server-3.2.10-1.fc19.i686
spice-server-0.12.3-1.fc19.i686
xorg-x11-server-common-1.14.2-9.fc19.i686
xorg-x11-server-debuginfo-1.14.2-9.fc19.i686
xorg-x11-server-utils-7.7-1.fc19.i686
xorg-x11-server-Xorg-1.14.2-9.fc19.i686
#

Comment 101 John Reiser 2013-08-08 04:52:50 UTC
Getting stuck during boot at "Reached target Graphical Interface" (and no actual graphical interface) also happens from time to time (20% to 25% ?) on a different box with an nVidia card:
   05:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT218 [GeForce 8400 GS Rev. 3] [10de:10c3] (rev a2)
   05:00.1 Audio device [0403]: NVIDIA Corporation High Definition Audio Controller [10de:0be3] (rev a1)
which is not a 6-year old original 8400 GS but a "new" 8400 GS with sound so that it can use HDMI to connect to a TV.  The chip isn't fast enough for full 1920x1080 HD (not even interlaced), but it can do 1280x720 reasonably.  (The panning to follow the leaders during the >=1500 meter track events at the Olympics often left un-decoded JPEG blocks at 1920x1080.)

Comment 102 Adam Williamson 2013-08-08 05:04:56 UTC
We need to deal with one bug at a time. One bug. At a time. This bug has 101 comments already. I am trying to get developer attention on it; developers hate nothing more than a bug with a huge series of rambling comments which often cover entirely different issues. This bug is for the failure to transition from GDM to GNOME; it is not for anything else. Please keep it focused on that, or else there's just not going to be any progress. Thanks.

Comment 103 Taunus 2013-08-09 18:49:29 UTC
gnome-session-3.8.4-1 behaves exactly same as gnome-session-3.8.2.1-3. When loading session after login, grey screen with Fedora text, few mins and quit.

For a user it would nice to know that the hardware is blacklisted.

I Patched and rebuilded gnome-session, blacklist for Intel is removed and can now run Mate and Cinnamon. Cinnamon has zero bugs with this Intel Corporation 82852/855GM Integrated Graphics hardware in testing.

--- gnome-session-3.8.2.1/data/hardware-compatibility.old	2012-11-23 08:30:19.000000000 +0200
+++ gnome-session-3.8.2.1/data/hardware-compatibility	2013-07-16 16:42:14.732283856 +0300
@@ -13,7 +13,7 @@
 ##
 
 # Intel 830-865
--Intel\(R\) 8[[:digit:]]{2,2}[^[:digit:]]
+#-Intel\(R\) 8[[:digit:]]{2,2}[^[:digit:]]
 
 # Pre-R300 radeon
 -Mesa DRI R[12]00[^[:digit:]]

Comment 104 Adam Williamson 2013-08-11 19:26:59 UTC
taunus: the blacklist should only be relevant at all to Shell, I think. I can see Cinnamon using it, though it should really maintain its own, but I can't see why it would affect MATE at all. Are you saying without that patch you can't login from GDM to MATE, but with the patch you can?

Comment 105 Taunus 2013-08-11 21:55:17 UTC
Yes.

Comment 106 Jim Haynes 2013-08-26 19:31:04 UTC
I seem to have much the same problem.  

If I run the live system from Fedora Live Desktop i686-19-1 I get a good
session.  

If I upgrade to F19 from F18 using fedup, or if I install the F19 system to
hard drive from the live CD, I get an unusable sytem.  After I login with
gdm it goes to a dark blue screen with the Fedora logo and mouse cursor,
and nothing else.

Video hardware is Intel 82865G integrated graphics controller.  On F18
this runs with the Gnome 3 in fallback mode.  Since it also works with the
F19 system on the live CD I assume it is adequate.

on ask.fedoraproject.org it was suggested that gdb-3.8.4-2 would fix the
problem.  It does not fix it for me.

I've just now seen the suggestion above to try something other than gdm,
so I haven't tried that yet.

Comment 107 Jim Haynes 2013-08-27 02:09:10 UTC
Now I can confirm that changing the display manager from gdm to kdm gives
me a usable system.

Comment 108 Andre Robatino 2013-08-29 19:54:30 UTC
Well, I'm happy to report that this bug appears to be fixed in F20 and Rawhide, at least in my VirtualBox and KVM guests. Login from gdm works fine in a clean default GNOME install from the 20 Alpha TC2 x86_64 DVD. It could be tested nondestructively on bare metal by using the Desktop Live for 20 Alpha TC2, though I haven't tried that.

Comment 109 antonio montagnani 2013-08-30 05:16:20 UTC
I reported a comment on this bug stating that root password is not recognized in Gnome while it is o.k. in Gnome and having an usable system switching to LIGHTDM

To separate bugs (but I am not sure if it is a different bug), can you point to the right component in order to fill the new bug??

Comment 110 John Reiser 2013-08-31 03:32:31 UTC
(In reply to Andre Robatino from comment #108)
> Well, I'm happy to report that this bug appears to be fixed in F20 and
> Rawhide, at least in my VirtualBox and KVM guests.

Fedora-Live-Desktop-i686-20-Alpha-TC2-1.iso fails for me (gives "Oh no! Something has gone wrong. ..." with "sad workstation icon" and LogOut button on all-white background) using ATI RV280 video card.  [I am the original reporter of this bug, and I still use the originally-reported hardware.]  Clicking the LogOut button repeats the failure.  Using "systemctl restart gdm" from VT2 as superuser also repeats the failure.  This happens when booting from physical DVD or from USB rootfs (USB made by livecd-iso-to-disk, and booted via custom GRUB stanza using isolinux/{vmlinuz0,initrd0.img} copied to harddrive, because no actual USB boot.)

Comment 111 Andre Robatino 2013-08-31 06:50:23 UTC
Ignore what I said about being able to test this bug by running Live. Apparently it only happens after doing an actual install. I tried booting from Fedora-Live-Desktop-i686-19-1.iso on my blacklisted Intel 82865 machine, which is currently running F19 and is affected. The bug does not affect it when running Live (after being automatically logged in, I logged out with gnome-session-quit, then was able to log in normally). I then confirmed that it does not happen running Live in a KVM guest either, even though it affects me on an actual install in a KVM guest. (I also confirmed that when booting from Fedora-Live-Desktop-i686-20-Alpha-TC2-1.iso in a KVM guest, I get the "Oh no!", but that's a different bug.)

So to sum up, seeing the bug unfortunately appears to require an actual install, not just running live, and I'm not willing to do an actual install on my 82865 box to test Fedora-Live-Desktop-i686-20-Alpha-TC2-1.iso. But the bug is fixed in actual F20 installs in both VirtualBox and KVM, which for me are both affected in F19 installs.

P.S. Just to set the record straight, I was the original reporter of this problem ( https://bugzilla.redhat.com/show_bug.cgi?id=946964 ). Adam originally thought it was a different bug, and had CommonBugs point to this one, since you attached lots of logs. I didn't know which logs to attach, and figured that it was pointless to blindly attach lots of logs unless the devs had enough interest to tell me which ones, which they still haven't. But I see the bug on all 3 of my platforms which use software rendering (bare metal Intel 82865, VirtualBox without guest additions, and KVM) and KVM in particular is probably better suited to debugging, if the devs ever decide to ask for logs.

Comment 112 Adam Williamson 2013-09-17 23:55:55 UTC
antonio: not being able to log in graphically as root from GDM is intentional, AFAIK. but if you wanted to file it as a bug, file it upstream - in https://bugzilla.gnome.org - against GDM.

Comment 113 antonio montagnani 2013-09-18 10:19:21 UTC
@Adam ...maybe I have not been clear.

I can log as standard user, but for example if I start yumex during an user session I am asked for the root password, that is not recognized (only on this machine, my laptop works as expected)

Comment 114 Fedora End Of Life 2015-01-09 17:56:42 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 115 Fedora End Of Life 2015-02-17 15:02:22 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.